/**
 * vis-data
 * http://visjs.org/
 *
 * Manage unstructured data using DataSet. Add, update, and remove data, and listen for changes in the data.
 *
 * @version 7.1.4
 * @date    2022-03-15T15:23:59.245Z
 *
 * @copyright (c) 2011-2017 Almende B.V, http://almende.com
 * @copyright (c) 2017-2019 visjs contributors, https://github.com/visjs
 *
 * @license
 * vis.js is dual licensed under both
 *
 *   1. The Apache 2.0 License
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *   and
 *
 *   2. The MIT License
 *      http://opensource.org/licenses/MIT
 *
 * vis.js may be distributed under either license.
 */
function t(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")}var e="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{},r={exports:{}},n=function(t){return t&&t.Math==Math&&t},i=n("object"==typeof globalThis&&globalThis)||n("object"==typeof window&&window)||n("object"==typeof self&&self)||n("object"==typeof e&&e)||function(){return this}()||Function("return this")(),o=function(t){try{return!!t()}catch(t){return!0}},a=!o((function(){var t=function(){}.bind();return"function"!=typeof t||t.hasOwnProperty("prototype")})),u=a,s=Function.prototype,c=s.apply,f=s.call,l="object"==typeof Reflect&&Reflect.apply||(u?f.bind(c):function(){return f.apply(c,arguments)}),h=a,p=Function.prototype,v=p.bind,d=p.call,y=h&&v.bind(d,d),g=h?function(t){return t&&y(t)}:function(t){return t&&function(){return d.apply(t,arguments)}},m=function(t){return"function"==typeof t},b={},_=!o((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),w=a,O=Function.prototype.call,E=w?O.bind(O):function(){return O.apply(O,arguments)},x={},T={}.propertyIsEnumerable,k=Object.getOwnPropertyDescriptor,S=k&&!T.call({1:2},1);x.f=S?function(t){var e=k(this,t);return!!e&&e.enumerable}:T;var A,j,P=function(t,e){return{enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},I=g,D=I({}.toString),L=I("".slice),C=function(t){return L(D(t),8,-1)},R=g,M=o,F=C,N=i.Object,z=R("".split),q=M((function(){return!N("z").propertyIsEnumerable(0)}))?function(t){return"String"==F(t)?z(t,""):N(t)}:N,Y=i.TypeError,G=function(t){if(null==t)throw Y("Can't call method on "+t);return t},X=q,U=G,W=function(t){return X(U(t))},V=m,H=function(t){return"object"==typeof t?null!==t:V(t)},$={},B=$,J=i,K=m,Q=function(t){return K(t)?t:void 0},Z=function(t,e){return arguments.length<2?Q(B[t])||Q(J[t]):B[t]&&B[t][e]||J[t]&&J[t][e]},tt=g({}.isPrototypeOf),et=Z("navigator","userAgent")||"",rt=i,nt=et,it=rt.process,ot=rt.Deno,at=it&&it.versions||ot&&ot.version,ut=at&&at.v8;ut&&(j=(A=ut.split("."))[0]>0&&A[0]<4?1:+(A[0]+A[1])),!j&&nt&&(!(A=nt.match(/Edge\/(\d+)/))||A[1]>=74)&&(A=nt.match(/Chrome\/(\d+)/))&&(j=+A[1]);var st=j,ct=st,ft=o,lt=!!Object.getOwnPropertySymbols&&!ft((function(){var t=Symbol();return!String(t)||!(Object(t)instanceof Symbol)||!Symbol.sham&&ct&&ct<41})),ht=lt&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,pt=Z,vt=m,dt=tt,yt=ht,gt=i.Object,mt=yt?function(t){return"symbol"==typeof t}:function(t){var e=pt("Symbol");return vt(e)&&dt(e.prototype,gt(t))},bt=i.String,_t=function(t){try{return bt(t)}catch(t){return"Object"}},wt=m,Ot=_t,Et=i.TypeError,xt=function(t){if(wt(t))return t;throw Et(Ot(t)+" is not a function")},Tt=xt,kt=function(t,e){var r=t[e];return null==r?void 0:Tt(r)},St=E,At=m,jt=H,Pt=i.TypeError,It={exports:{}},Dt=i,Lt=Object.defineProperty,Ct=function(t,e){try{Lt(Dt,t,{value:e,configurable:!0,writable:!0})}catch(r){Dt[t]=e}return e},Rt=i["__core-js_shared__"]||Ct("__core-js_shared__",{}),Mt=Rt;(It.exports=function(t,e){return Mt[t]||(Mt[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.21.1",mode:"pure",copyright:"© 2014-2022 Denis Pushkarev (zloirock.ru)",license:"https://github.com/zloirock/core-js/blob/v3.21.1/LICENSE",source:"https://github.com/zloirock/core-js"});var Ft=G,Nt=i.Object,zt=function(t){return Nt(Ft(t))},qt=zt,Yt=g({}.hasOwnProperty),Gt=Object.hasOwn||function(t,e){return Yt(qt(t),e)},Xt=g,Ut=0,Wt=Math.random(),Vt=Xt(1..toString),Ht=function(t){return"Symbol("+(void 0===t?"":t)+")_"+Vt(++Ut+Wt,36)},$t=i,Bt=It.exports,Jt=Gt,Kt=Ht,Qt=lt,Zt=ht,te=Bt("wks"),ee=$t.Symbol,re=ee&&ee.for,ne=Zt?ee:ee&&ee.withoutSetter||Kt,ie=function(t){if(!Jt(te,t)||!Qt&&"string"!=typeof te[t]){var e="Symbol."+t;Qt&&Jt(ee,t)?te[t]=ee[t]:te[t]=Zt&&re?re(e):ne(e)}return te[t]},oe=E,ae=H,ue=mt,se=kt,ce=function(t,e){var r,n;if("string"===e&&At(r=t.toString)&&!jt(n=St(r,t)))return n;if(At(r=t.valueOf)&&!jt(n=St(r,t)))return n;if("string"!==e&&At(r=t.toString)&&!jt(n=St(r,t)))return n;throw Pt("Can't convert object to primitive value")},fe=ie,le=i.TypeError,he=fe("toPrimitive"),pe=function(t,e){if(!ae(t)||ue(t))return t;var r,n=se(t,he);if(n){if(void 0===e&&(e="default"),r=oe(n,t,e),!ae(r)||ue(r))return r;throw le("Can't convert object to primitive value")}return void 0===e&&(e="number"),ce(t,e)},ve=mt,de=function(t){var e=pe(t,"string");return ve(e)?e:e+""},ye=H,ge=i.document,me=ye(ge)&&ye(ge.createElement),be=function(t){return me?ge.createElement(t):{}},_e=be,we=!_&&!o((function(){return 7!=Object.defineProperty(_e("div"),"a",{get:function(){return 7}}).a})),Oe=_,Ee=E,xe=x,Te=P,ke=W,Se=de,Ae=Gt,je=we,Pe=Object.getOwnPropertyDescriptor;b.f=Oe?Pe:function(t,e){if(t=ke(t),e=Se(e),je)try{return Pe(t,e)}catch(t){}if(Ae(t,e))return Te(!Ee(xe.f,t,e),t[e])};var Ie=o,De=m,Le=/#|\.prototype\./,Ce=function(t,e){var r=Me[Re(t)];return r==Ne||r!=Fe&&(De(e)?Ie(e):!!e)},Re=Ce.normalize=function(t){return String(t).replace(Le,".").toLowerCase()},Me=Ce.data={},Fe=Ce.NATIVE="N",Ne=Ce.POLYFILL="P",ze=Ce,qe=xt,Ye=a,Ge=g(g.bind),Xe=function(t,e){return qe(t),void 0===e?t:Ye?Ge(t,e):function(){return t.apply(e,arguments)}},Ue={},We=_&&o((function(){return 42!=Object.defineProperty((function(){}),"prototype",{value:42,writable:!1}).prototype})),Ve=i,He=H,$e=Ve.String,Be=Ve.TypeError,Je=function(t){if(He(t))return t;throw Be($e(t)+" is not an object")},Ke=_,Qe=we,Ze=We,tr=Je,er=de,rr=i.TypeError,nr=Object.defineProperty,ir=Object.getOwnPropertyDescriptor;Ue.f=Ke?Ze?function(t,e,r){if(tr(t),e=er(e),tr(r),"function"==typeof t&&"prototype"===e&&"value"in r&&"writable"in r&&!r.writable){var n=ir(t,e);n&&n.writable&&(t[e]=r.value,r={configurable:"configurable"in r?r.configurable:n.configurable,enumerable:"enumerable"in r?r.enumerable:n.enumerable,writable:!1})}return nr(t,e,r)}:nr:function(t,e,r){if(tr(t),e=er(e),tr(r),Qe)try{return nr(t,e,r)}catch(t){}if("get"in r||"set"in r)throw rr("Accessors not supported");return"value"in r&&(t[e]=r.value),t};var or=Ue,ar=P,ur=_?function(t,e,r){return or.f(t,e,ar(1,r))}:function(t,e,r){return t[e]=r,t},sr=i,cr=l,fr=g,lr=m,hr=b.f,pr=ze,vr=$,dr=Xe,yr=ur,gr=Gt,mr=function(t){var e=function(r,n,i){if(this instanceof e){switch(arguments.length){case 0:return new t;case 1:return new t(r);case 2:return new t(r,n)}return new t(r,n,i)}return cr(t,this,arguments)};return e.prototype=t.prototype,e},br=function(t,e){var r,n,i,o,a,u,s,c,f=t.target,l=t.global,h=t.stat,p=t.proto,v=l?sr:h?sr[f]:(sr[f]||{}).prototype,d=l?vr:vr[f]||yr(vr,f,{})[f],y=d.prototype;for(i in e)r=!pr(l?i:f+(h?".":"#")+i,t.forced)&&v&&gr(v,i),a=d[i],r&&(u=t.noTargetGet?(c=hr(v,i))&&c.value:v[i]),o=r&&u?u:e[i],r&&typeof a==typeof o||(s=t.bind&&r?dr(o,sr):t.wrap&&r?mr(o):p&&lr(o)?fr(o):o,(t.sham||o&&o.sham||a&&a.sham)&&yr(s,"sham",!0),yr(d,i,s),p&&(gr(vr,n=f+"Prototype")||yr(vr,n,{}),yr(vr[n],i,o),t.real&&y&&!y[i]&&yr(y,i,o)))},_r=br,wr=_,Or=Ue.f;_r({target:"Object",stat:!0,forced:Object.defineProperty!==Or,sham:!wr},{defineProperty:Or});var Er=$.Object,xr=r.exports=function(t,e,r){return Er.defineProperty(t,e,r)};Er.defineProperty.sham&&(xr.sham=!0);var Tr=r.exports,kr=Tr;function Sr(t,e){for(var r=0;r<e.length;r++){var n=e[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),kr(t,n.key,n)}}function Ar(t,e,r){return e&&Sr(t.prototype,e),r&&Sr(t,r),kr(t,"prototype",{writable:!1}),t}function jr(t,e,r){return e in t?kr(t,e,{value:r,enumerable:!0,configurable:!0,writable:!0}):t[e]=r,t}var Pr=g([].slice),Ir=g,Dr=xt,Lr=H,Cr=Gt,Rr=Pr,Mr=a,Fr=i.Function,Nr=Ir([].concat),zr=Ir([].join),qr={},Yr=function(t,e,r){if(!Cr(qr,e)){for(var n=[],i=0;i<e;i++)n[i]="a["+i+"]";qr[e]=Fr("C,a","return new C("+zr(n,",")+")")}return qr[e](t,r)},Gr=Mr?Fr.bind:function(t){var e=Dr(this),r=e.prototype,n=Rr(arguments,1),i=function(){var r=Nr(n,Rr(arguments));return this instanceof i?Yr(e,r.length,r):e.apply(t,r)};return Lr(r)&&(i.prototype=r),i},Xr=Gr;br({target:"Function",proto:!0,forced:Function.bind!==Xr},{bind:Xr});var Ur=$,Wr=function(t){return Ur[t+"Prototype"]},Vr=Wr("Function").bind,Hr=tt,$r=Vr,Br=Function.prototype,Jr=function(t){var e=t.bind;return t===Br||Hr(Br,t)&&e===Br.bind?$r:e},Kr=Math.ceil,Qr=Math.floor,Zr=function(t){var e=+t;return e!=e||0===e?0:(e>0?Qr:Kr)(e)},tn=Zr,en=Math.min,rn=function(t){return t>0?en(tn(t),9007199254740991):0},nn=function(t){return rn(t.length)},on=xt,an=zt,un=q,sn=nn,cn=i.TypeError,fn=function(t){return function(e,r,n,i){on(r);var o=an(e),a=un(o),u=sn(o),s=t?u-1:0,c=t?-1:1;if(n<2)for(;;){if(s in a){i=a[s],s+=c;break}if(s+=c,t?s<0:u<=s)throw cn("Reduce of empty array with no initial value")}for(;t?s>=0:u>s;s+=c)s in a&&(i=r(i,a[s],s,o));return i}},ln={left:fn(!1),right:fn(!0)},hn=o,pn=function(t,e){var r=[][t];return!!r&&hn((function(){r.call(null,e||function(){return 1},1)}))},vn="process"==C(i.process),dn=ln.left,yn=st,gn=vn;br({target:"Array",proto:!0,forced:!pn("reduce")||!gn&&yn>79&&yn<83},{reduce:function(t){var e=arguments.length;return dn(this,t,e,e>1?arguments[1]:void 0)}});var mn=Wr("Array").reduce,bn=tt,_n=mn,wn=Array.prototype,On=function(t){var e=t.reduce;return t===wn||bn(wn,t)&&e===wn.reduce?_n:e},En=C,xn=Array.isArray||function(t){return"Array"==En(t)},Tn={};Tn[ie("toStringTag")]="z";var kn="[object z]"===String(Tn),Sn=i,An=kn,jn=m,Pn=C,In=ie("toStringTag"),Dn=Sn.Object,Ln="Arguments"==Pn(function(){return arguments}()),Cn=An?Pn:function(t){var e,r,n;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(r=function(t,e){try{return t[e]}catch(t){}}(e=Dn(t),In))?r:Ln?Pn(e):"Object"==(n=Pn(e))&&jn(e.callee)?"Arguments":n},Rn=m,Mn=Rt,Fn=g(Function.toString);Rn(Mn.inspectSource)||(Mn.inspectSource=function(t){return Fn(t)});var Nn=Mn.inspectSource,zn=g,qn=o,Yn=m,Gn=Cn,Xn=Nn,Un=function(){},Wn=[],Vn=Z("Reflect","construct"),Hn=/^\s*(?:class|function)\b/,$n=zn(Hn.exec),Bn=!Hn.exec(Un),Jn=function(t){if(!Yn(t))return!1;try{return Vn(Un,Wn,t),!0}catch(t){return!1}},Kn=function(t){if(!Yn(t))return!1;switch(Gn(t)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return!1}try{return Bn||!!$n(Hn,Xn(t))}catch(t){return!0}};Kn.sham=!0;var Qn=!Vn||qn((function(){var t;return Jn(Jn.call)||!Jn(Object)||!Jn((function(){t=!0}))||t}))?Kn:Jn,Zn=i,ti=xn,ei=Qn,ri=H,ni=ie("species"),ii=Zn.Array,oi=function(t){var e;return ti(t)&&(e=t.constructor,(ei(e)&&(e===ii||ti(e.prototype))||ri(e)&&null===(e=e[ni]))&&(e=void 0)),void 0===e?ii:e},ai=function(t,e){return new(oi(t))(0===e?0:e)},ui=Xe,si=q,ci=zt,fi=nn,li=ai,hi=g([].push),pi=function(t){var e=1==t,r=2==t,n=3==t,i=4==t,o=6==t,a=7==t,u=5==t||o;return function(s,c,f,l){for(var h,p,v=ci(s),d=si(v),y=ui(c,f),g=fi(d),m=0,b=l||li,_=e?b(s,g):r||a?b(s,0):void 0;g>m;m++)if((u||m in d)&&(p=y(h=d[m],m,v),t))if(e)_[m]=p;else if(p)switch(t){case 3:return!0;case 5:return h;case 6:return m;case 2:hi(_,h)}else switch(t){case 4:return!1;case 7:hi(_,h)}return o?-1:n||i?i:_}},vi={forEach:pi(0),map:pi(1),filter:pi(2),some:pi(3),every:pi(4),find:pi(5),findIndex:pi(6),filterReject:pi(7)},di=o,yi=st,gi=ie("species"),mi=function(t){return yi>=51||!di((function(){var e=[];return(e.constructor={})[gi]=function(){return{foo:1}},1!==e[t](Boolean).foo}))},bi=vi.filter;br({target:"Array",proto:!0,forced:!mi("filter")},{filter:function(t){return bi(this,t,arguments.length>1?arguments[1]:void 0)}});var _i=Wr("Array").filter,wi=tt,Oi=_i,Ei=Array.prototype,xi=function(t){var e=t.filter;return t===Ei||wi(Ei,t)&&e===Ei.filter?Oi:e},Ti=vi.map;br({target:"Array",proto:!0,forced:!mi("map")},{map:function(t){return Ti(this,t,arguments.length>1?arguments[1]:void 0)}});var ki=Wr("Array").map,Si=tt,Ai=ki,ji=Array.prototype,Pi=function(t){var e=t.map;return t===ji||Si(ji,t)&&e===ji.map?Ai:e},Ii=xn,Di=nn,Li=Xe,Ci=i.TypeError,Ri=function(t,e,r,n,i,o,a,u){for(var s,c,f=i,l=0,h=!!a&&Li(a,u);l<n;){if(l in r){if(s=h?h(r[l],l,e):r[l],o>0&&Ii(s))c=Di(s),f=Ri(t,e,s,c,f,o-1)-1;else{if(f>=9007199254740991)throw Ci("Exceed the acceptable array length");t[f]=s}f++}l++}return f},Mi=Ri,Fi=xt,Ni=zt,zi=nn,qi=ai;br({target:"Array",proto:!0},{flatMap:function(t){var e,r=Ni(this),n=zi(r);return Fi(t),(e=qi(r,0)).length=Mi(e,r,r,n,0,1,t,arguments.length>1?arguments[1]:void 0),e}});var Yi=Wr("Array").flatMap,Gi=tt,Xi=Yi,Ui=Array.prototype,Wi=function(t){var e=t.flatMap;return t===Ui||Gi(Ui,t)&&e===Ui.flatMap?Xi:e};function Vi(t){return new Ki(t)}var Hi,$i,Bi,Ji=function(){function e(r,n,i){var o,a,u;t(this,e),jr(this,"_source",void 0),jr(this,"_transformers",void 0),jr(this,"_target",void 0),jr(this,"_listeners",{add:Jr(o=this._add).call(o,this),remove:Jr(a=this._remove).call(a,this),update:Jr(u=this._update).call(u,this)}),this._source=r,this._transformers=n,this._target=i}return Ar(e,[{key:"all",value:function(){return this._target.update(this._transformItems(this._source.get())),this}},{key:"start",value:function(){return this._source.on("add",this._listeners.add),this._source.on("remove",this._listeners.remove),this._source.on("update",this._listeners.update),this}},{key:"stop",value:function(){return this._source.off("add",this._listeners.add),this._source.off("remove",this._listeners.remove),this._source.off("update",this._listeners.update),this}},{key:"_transformItems",value:function(t){var e;return On(e=this._transformers).call(e,(function(t,e){return e(t)}),t)}},{key:"_add",value:function(t,e){null!=e&&this._target.add(this._transformItems(this._source.get(e.items)))}},{key:"_update",value:function(t,e){null!=e&&this._target.update(this._transformItems(this._source.get(e.items)))}},{key:"_remove",value:function(t,e){null!=e&&this._target.remove(this._transformItems(e.oldData))}}]),e}(),Ki=function(){function e(r){t(this,e),jr(this,"_source",void 0),jr(this,"_transformers",[]),this._source=r}return Ar(e,[{key:"filter",value:function(t){return this._transformers.push((function(e){return xi(e).call(e,t)})),this}},{key:"map",value:function(t){return this._transformers.push((function(e){return Pi(e).call(e,t)})),this}},{key:"flatMap",value:function(t){return this._transformers.push((function(e){return Wi(e).call(e,t)})),this}},{key:"to",value:function(t){return new Ji(this._source,this._transformers,t)}}]),e}(),Qi=Cn,Zi=i.String,to=function(t){if("Symbol"===Qi(t))throw TypeError("Cannot convert a Symbol value to a string");return Zi(t)},eo=g,ro=Zr,no=to,io=G,oo=eo("".charAt),ao=eo("".charCodeAt),uo=eo("".slice),so=function(t){return function(e,r){var n,i,o=no(io(e)),a=ro(r),u=o.length;return a<0||a>=u?t?"":void 0:(n=ao(o,a))<55296||n>56319||a+1===u||(i=ao(o,a+1))<56320||i>57343?t?oo(o,a):n:t?uo(o,a,a+2):i-56320+(n-55296<<10)+65536}},co={codeAt:so(!1),charAt:so(!0)},fo=m,lo=Nn,ho=i.WeakMap,po=fo(ho)&&/native code/.test(lo(ho)),vo=It.exports,yo=Ht,go=vo("keys"),mo=function(t){return go[t]||(go[t]=yo(t))},bo={},_o=po,wo=i,Oo=g,Eo=H,xo=ur,To=Gt,ko=Rt,So=mo,Ao=bo,jo=wo.TypeError,Po=wo.WeakMap;if(_o||ko.state){var Io=ko.state||(ko.state=new Po),Do=Oo(Io.get),Lo=Oo(Io.has),Co=Oo(Io.set);Hi=function(t,e){if(Lo(Io,t))throw new jo("Object already initialized");return e.facade=t,Co(Io,t,e),e},$i=function(t){return Do(Io,t)||{}},Bi=function(t){return Lo(Io,t)}}else{var Ro=So("state");Ao[Ro]=!0,Hi=function(t,e){if(To(t,Ro))throw new jo("Object already initialized");return e.facade=t,xo(t,Ro,e),e},$i=function(t){return To(t,Ro)?t[Ro]:{}},Bi=function(t){return To(t,Ro)}}var Mo={set:Hi,get:$i,has:Bi,enforce:function(t){return Bi(t)?$i(t):Hi(t,{})},getterFor:function(t){return function(e){var r;if(!Eo(e)||(r=$i(e)).type!==t)throw jo("Incompatible receiver, "+t+" required");return r}}},Fo=_,No=Gt,zo=Function.prototype,qo=Fo&&Object.getOwnPropertyDescriptor,Yo=No(zo,"name"),Go={EXISTS:Yo,PROPER:Yo&&"something"===function(){}.name,CONFIGURABLE:Yo&&(!Fo||Fo&&qo(zo,"name").configurable)},Xo={},Uo=Zr,Wo=Math.max,Vo=Math.min,Ho=function(t,e){var r=Uo(t);return r<0?Wo(r+e,0):Vo(r,e)},$o=W,Bo=Ho,Jo=nn,Ko=function(t){return function(e,r,n){var i,o=$o(e),a=Jo(o),u=Bo(n,a);if(t&&r!=r){for(;a>u;)if((i=o[u++])!=i)return!0}else for(;a>u;u++)if((t||u in o)&&o[u]===r)return t||u||0;return!t&&-1}},Qo={includes:Ko(!0),indexOf:Ko(!1)},Zo=Gt,ta=W,ea=Qo.indexOf,ra=bo,na=g([].push),ia=function(t,e){var r,n=ta(t),i=0,o=[];for(r in n)!Zo(ra,r)&&Zo(n,r)&&na(o,r);for(;e.length>i;)Zo(n,r=e[i++])&&(~ea(o,r)||na(o,r));return o},oa=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],aa=ia,ua=oa,sa=Object.keys||function(t){return aa(t,ua)},ca=_,fa=We,la=Ue,ha=Je,pa=W,va=sa;Xo.f=ca&&!fa?Object.defineProperties:function(t,e){ha(t);for(var r,n=pa(e),i=va(e),o=i.length,a=0;o>a;)la.f(t,r=i[a++],n[r]);return t};var da,ya=Z("document","documentElement"),ga=Je,ma=Xo,ba=oa,_a=bo,wa=ya,Oa=be,Ea=mo("IE_PROTO"),xa=function(){},Ta=function(t){return"<script>"+t+"<\/script>"},ka=function(t){t.write(Ta("")),t.close();var e=t.parentWindow.Object;return t=null,e},Sa=function(){try{da=new ActiveXObject("htmlfile")}catch(t){}var t,e;Sa="undefined"!=typeof document?document.domain&&da?ka(da):((e=Oa("iframe")).style.display="none",wa.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(Ta("document.F=Object")),t.close(),t.F):ka(da);for(var r=ba.length;r--;)delete Sa.prototype[ba[r]];return Sa()};_a[Ea]=!0;var Aa,ja,Pa,Ia=Object.create||function(t,e){var r;return null!==t?(xa.prototype=ga(t),r=new xa,xa.prototype=null,r[Ea]=t):r=Sa(),void 0===e?r:ma.f(r,e)},Da=!o((function(){function t(){}return t.prototype.constructor=null,Object.getPrototypeOf(new t)!==t.prototype})),La=i,Ca=Gt,Ra=m,Ma=zt,Fa=Da,Na=mo("IE_PROTO"),za=La.Object,qa=za.prototype,Ya=Fa?za.getPrototypeOf:function(t){var e=Ma(t);if(Ca(e,Na))return e[Na];var r=e.constructor;return Ra(r)&&e instanceof r?r.prototype:e instanceof za?qa:null},Ga=ur,Xa=function(t,e,r,n){n&&n.enumerable?t[e]=r:Ga(t,e,r)},Ua=o,Wa=m,Va=Ia,Ha=Ya,$a=Xa,Ba=ie("iterator"),Ja=!1;[].keys&&("next"in(Pa=[].keys())?(ja=Ha(Ha(Pa)))!==Object.prototype&&(Aa=ja):Ja=!0);var Ka=null==Aa||Ua((function(){var t={};return Aa[Ba].call(t)!==t}));Wa((Aa=Ka?{}:Va(Aa))[Ba])||$a(Aa,Ba,(function(){return this}));var Qa={IteratorPrototype:Aa,BUGGY_SAFARI_ITERATORS:Ja},Za=Cn,tu=kn?{}.toString:function(){return"[object "+Za(this)+"]"},eu=kn,ru=Ue.f,nu=ur,iu=Gt,ou=tu,au=ie("toStringTag"),uu=function(t,e,r,n){if(t){var i=r?t:t.prototype;iu(i,au)||ru(i,au,{configurable:!0,value:e}),n&&!eu&&nu(i,"toString",ou)}},su={},cu=Qa.IteratorPrototype,fu=Ia,lu=P,hu=uu,pu=su,vu=function(){return this},du=i,yu=m,gu=du.String,mu=du.TypeError,bu=g,_u=Je,wu=function(t){if("object"==typeof t||yu(t))return t;throw mu("Can't set "+gu(t)+" as a prototype")},Ou=Object.setPrototypeOf||("__proto__"in{}?function(){var t,e=!1,r={};try{(t=bu(Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set))(r,[]),e=r instanceof Array}catch(t){}return function(r,n){return _u(r),wu(n),e?t(r,n):r.__proto__=n,r}}():void 0),Eu=br,xu=E,Tu=function(t,e,r,n){var i=e+" Iterator";return t.prototype=fu(cu,{next:lu(+!n,r)}),hu(t,i,!1,!0),pu[i]=vu,t},ku=Ya,Su=uu,Au=Xa,ju=su,Pu=Go.PROPER,Iu=Qa.BUGGY_SAFARI_ITERATORS,Du=ie("iterator"),Lu=function(){return this},Cu=function(t,e,r,n,i,o,a){Tu(r,e,n);var u,s,c,f=function(t){if(t===i&&d)return d;if(!Iu&&t in p)return p[t];switch(t){case"keys":case"values":case"entries":return function(){return new r(this,t)}}return function(){return new r(this)}},l=e+" Iterator",h=!1,p=t.prototype,v=p[Du]||p["@@iterator"]||i&&p[i],d=!Iu&&v||f(i),y="Array"==e&&p.entries||v;if(y&&(u=ku(y.call(new t)))!==Object.prototype&&u.next&&(Su(u,l,!0,!0),ju[l]=Lu),Pu&&"values"==i&&v&&"values"!==v.name&&(h=!0,d=function(){return xu(v,this)}),i)if(s={values:f("values"),keys:o?d:f("keys"),entries:f("entries")},a)for(c in s)(Iu||h||!(c in p))&&Au(p,c,s[c]);else Eu({target:e,proto:!0,forced:Iu||h},s);return a&&p[Du]!==d&&Au(p,Du,d,{name:i}),ju[e]=d,s},Ru=co.charAt,Mu=to,Fu=Mo,Nu=Cu,zu=Fu.set,qu=Fu.getterFor("String Iterator");Nu(String,"String",(function(t){zu(this,{type:"String Iterator",string:Mu(t),index:0})}),(function(){var t,e=qu(this),r=e.string,n=e.index;return n>=r.length?{value:void 0,done:!0}:(t=Ru(r,n),e.index+=t.length,{value:t,done:!1})}));var Yu=E,Gu=Je,Xu=kt,Uu=function(t,e,r){var n,i;Gu(t);try{if(!(n=Xu(t,"return"))){if("throw"===e)throw r;return r}n=Yu(n,t)}catch(t){i=!0,n=t}if("throw"===e)throw r;if(i)throw n;return Gu(n),r},Wu=Je,Vu=Uu,Hu=su,$u=ie("iterator"),Bu=Array.prototype,Ju=function(t){return void 0!==t&&(Hu.Array===t||Bu[$u]===t)},Ku=de,Qu=Ue,Zu=P,ts=function(t,e,r){var n=Ku(e);n in t?Qu.f(t,n,Zu(0,r)):t[n]=r},es=Cn,rs=kt,ns=su,is=ie("iterator"),os=function(t){if(null!=t)return rs(t,is)||rs(t,"@@iterator")||ns[es(t)]},as=E,us=xt,ss=Je,cs=_t,fs=os,ls=i.TypeError,hs=function(t,e){var r=arguments.length<2?fs(t):e;if(us(r))return ss(as(r,t));throw ls(cs(t)+" is not iterable")},ps=Xe,vs=E,ds=zt,ys=function(t,e,r,n){try{return n?e(Wu(r)[0],r[1]):e(r)}catch(e){Vu(t,"throw",e)}},gs=Ju,ms=Qn,bs=nn,_s=ts,ws=hs,Os=os,Es=i.Array,xs=ie("iterator"),Ts=!1;try{var ks=0,Ss={next:function(){return{done:!!ks++}},return:function(){Ts=!0}};Ss[xs]=function(){return this},Array.from(Ss,(function(){throw 2}))}catch(t){}var As=function(t){var e=ds(t),r=ms(this),n=arguments.length,i=n>1?arguments[1]:void 0,o=void 0!==i;o&&(i=ps(i,n>2?arguments[2]:void 0));var a,u,s,c,f,l,h=Os(e),p=0;if(!h||this==Es&&gs(h))for(a=bs(e),u=r?new this(a):Es(a);a>p;p++)l=o?i(e[p],p):e[p],_s(u,p,l);else for(f=(c=ws(e,h)).next,u=r?new this:[];!(s=vs(f,c)).done;p++)l=o?ys(c,i,[s.value,p],!0):s.value,_s(u,p,l);return u.length=p,u},js=function(t,e){if(!e&&!Ts)return!1;var r=!1;try{var n={};n[xs]=function(){return{next:function(){return{done:r=!0}}}},t(n)}catch(t){}return r};br({target:"Array",stat:!0,forced:!js((function(t){Array.from(t)}))},{from:As});var Ps=$.Array.from,Is=Ps,Ds=W,Ls=su,Cs=Mo;Ue.f;var Rs=Cu,Ms=Cs.set,Fs=Cs.getterFor("Array Iterator");Rs(Array,"Array",(function(t,e){Ms(this,{type:"Array Iterator",target:Ds(t),index:0,kind:e})}),(function(){var t=Fs(this),e=t.target,r=t.kind,n=t.index++;return!e||n>=e.length?(t.target=void 0,{value:void 0,done:!0}):"keys"==r?{value:n,done:!1}:"values"==r?{value:e[n],done:!1}:{value:[n,e[n]],done:!1}}),"values"),Ls.Arguments=Ls.Array;var Ns=os,zs={CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0},qs=i,Ys=Cn,Gs=ur,Xs=su,Us=ie("toStringTag");for(var Ws in zs){var Vs=qs[Ws],Hs=Vs&&Vs.prototype;Hs&&Ys(Hs)!==Us&&Gs(Hs,Us,Ws),Xs[Ws]=Xs.Array}var $s=Ns,Bs={},Js=ia,Ks=oa.concat("length","prototype");Bs.f=Object.getOwnPropertyNames||function(t){return Js(t,Ks)};var Qs={},Zs=Ho,tc=nn,ec=ts,rc=i.Array,nc=Math.max,ic=function(t,e,r){for(var n=tc(t),i=Zs(e,n),o=Zs(void 0===r?n:r,n),a=rc(nc(o-i,0)),u=0;i<o;i++,u++)ec(a,u,t[i]);return a.length=u,a},oc=C,ac=W,uc=Bs.f,sc=ic,cc="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[];Qs.f=function(t){return cc&&"Window"==oc(t)?function(t){try{return uc(t)}catch(t){return sc(cc)}}(t):uc(ac(t))};var fc={};fc.f=Object.getOwnPropertySymbols;var lc={},hc=ie;lc.f=hc;var pc=$,vc=Gt,dc=lc,yc=Ue.f,gc=function(t){var e=pc.Symbol||(pc.Symbol={});vc(e,t)||yc(e,t,{value:dc.f(t)})},mc=br,bc=i,_c=Z,wc=l,Oc=E,Ec=g,xc=_,Tc=lt,kc=o,Sc=Gt,Ac=xn,jc=m,Pc=H,Ic=tt,Dc=mt,Lc=Je,Cc=zt,Rc=W,Mc=de,Fc=to,Nc=P,zc=Ia,qc=sa,Yc=Bs,Gc=Qs,Xc=fc,Uc=b,Wc=Ue,Vc=Xo,Hc=x,$c=Pr,Bc=Xa,Jc=It.exports,Kc=bo,Qc=Ht,Zc=ie,tf=lc,ef=gc,rf=uu,nf=Mo,of=vi.forEach,af=mo("hidden"),uf=Zc("toPrimitive"),sf=nf.set,cf=nf.getterFor("Symbol"),ff=Object.prototype,lf=bc.Symbol,hf=lf&&lf.prototype,pf=bc.TypeError,vf=bc.QObject,df=_c("JSON","stringify"),yf=Uc.f,gf=Wc.f,mf=Gc.f,bf=Hc.f,_f=Ec([].push),wf=Jc("symbols"),Of=Jc("op-symbols"),Ef=Jc("string-to-symbol-registry"),xf=Jc("symbol-to-string-registry"),Tf=Jc("wks"),kf=!vf||!vf.prototype||!vf.prototype.findChild,Sf=xc&&kc((function(){return 7!=zc(gf({},"a",{get:function(){return gf(this,"a",{value:7}).a}})).a}))?function(t,e,r){var n=yf(ff,e);n&&delete ff[e],gf(t,e,r),n&&t!==ff&&gf(ff,e,n)}:gf,Af=function(t,e){var r=wf[t]=zc(hf);return sf(r,{type:"Symbol",tag:t,description:e}),xc||(r.description=e),r},jf=function(t,e,r){t===ff&&jf(Of,e,r),Lc(t);var n=Mc(e);return Lc(r),Sc(wf,n)?(r.enumerable?(Sc(t,af)&&t[af][n]&&(t[af][n]=!1),r=zc(r,{enumerable:Nc(0,!1)})):(Sc(t,af)||gf(t,af,Nc(1,{})),t[af][n]=!0),Sf(t,n,r)):gf(t,n,r)},Pf=function(t,e){Lc(t);var r=Rc(e),n=qc(r).concat(Cf(r));return of(n,(function(e){xc&&!Oc(If,r,e)||jf(t,e,r[e])})),t},If=function(t){var e=Mc(t),r=Oc(bf,this,e);return!(this===ff&&Sc(wf,e)&&!Sc(Of,e))&&(!(r||!Sc(this,e)||!Sc(wf,e)||Sc(this,af)&&this[af][e])||r)},Df=function(t,e){var r=Rc(t),n=Mc(e);if(r!==ff||!Sc(wf,n)||Sc(Of,n)){var i=yf(r,n);return!i||!Sc(wf,n)||Sc(r,af)&&r[af][n]||(i.enumerable=!0),i}},Lf=function(t){var e=mf(Rc(t)),r=[];return of(e,(function(t){Sc(wf,t)||Sc(Kc,t)||_f(r,t)})),r},Cf=function(t){var e=t===ff,r=mf(e?Of:Rc(t)),n=[];return of(r,(function(t){!Sc(wf,t)||e&&!Sc(ff,t)||_f(n,wf[t])})),n};if(Tc||(Bc(hf=(lf=function(){if(Ic(hf,this))throw pf("Symbol is not a constructor");var t=arguments.length&&void 0!==arguments[0]?Fc(arguments[0]):void 0,e=Qc(t),r=function(t){this===ff&&Oc(r,Of,t),Sc(this,af)&&Sc(this[af],e)&&(this[af][e]=!1),Sf(this,e,Nc(1,t))};return xc&&kf&&Sf(ff,e,{configurable:!0,set:r}),Af(e,t)}).prototype,"toString",(function(){return cf(this).tag})),Bc(lf,"withoutSetter",(function(t){return Af(Qc(t),t)})),Hc.f=If,Wc.f=jf,Vc.f=Pf,Uc.f=Df,Yc.f=Gc.f=Lf,Xc.f=Cf,tf.f=function(t){return Af(Zc(t),t)},xc&&gf(hf,"description",{configurable:!0,get:function(){return cf(this).description}})),mc({global:!0,wrap:!0,forced:!Tc,sham:!Tc},{Symbol:lf}),of(qc(Tf),(function(t){ef(t)})),mc({target:"Symbol",stat:!0,forced:!Tc},{for:function(t){var e=Fc(t);if(Sc(Ef,e))return Ef[e];var r=lf(e);return Ef[e]=r,xf[r]=e,r},keyFor:function(t){if(!Dc(t))throw pf(t+" is not a symbol");if(Sc(xf,t))return xf[t]},useSetter:function(){kf=!0},useSimple:function(){kf=!1}}),mc({target:"Object",stat:!0,forced:!Tc,sham:!xc},{create:function(t,e){return void 0===e?zc(t):Pf(zc(t),e)},defineProperty:jf,defineProperties:Pf,getOwnPropertyDescriptor:Df}),mc({target:"Object",stat:!0,forced:!Tc},{getOwnPropertyNames:Lf,getOwnPropertySymbols:Cf}),mc({target:"Object",stat:!0,forced:kc((function(){Xc.f(1)}))},{getOwnPropertySymbols:function(t){return Xc.f(Cc(t))}}),df){var Rf=!Tc||kc((function(){var t=lf();return"[null]"!=df([t])||"{}"!=df({a:t})||"{}"!=df(Object(t))}));mc({target:"JSON",stat:!0,forced:Rf},{stringify:function(t,e,r){var n=$c(arguments),i=e;if((Pc(e)||void 0!==t)&&!Dc(t))return Ac(e)||(e=function(t,e){if(jc(i)&&(e=Oc(i,this,t,e)),!Dc(e))return e}),n[1]=e,wc(df,null,n)}})}if(!hf[uf]){var Mf=hf.valueOf;Bc(hf,uf,(function(t){return Oc(Mf,this)}))}rf(lf,"Symbol"),Kc[af]=!0;var Ff=$.Object.getOwnPropertySymbols,Nf={exports:{}},zf=br,qf=o,Yf=W,Gf=b.f,Xf=_,Uf=qf((function(){Gf(1)}));zf({target:"Object",stat:!0,forced:!Xf||Uf,sham:!Xf},{getOwnPropertyDescriptor:function(t,e){return Gf(Yf(t),e)}});var Wf=$.Object,Vf=Nf.exports=function(t,e){return Wf.getOwnPropertyDescriptor(t,e)};Wf.getOwnPropertyDescriptor.sham&&(Vf.sham=!0);var Hf=Nf.exports,$f=Z,Bf=Bs,Jf=fc,Kf=Je,Qf=g([].concat),Zf=$f("Reflect","ownKeys")||function(t){var e=Bf.f(Kf(t)),r=Jf.f;return r?Qf(e,r(t)):e},tl=Zf,el=W,rl=b,nl=ts;br({target:"Object",stat:!0,sham:!_},{getOwnPropertyDescriptors:function(t){for(var e,r,n=el(t),i=rl.f,o=tl(n),a={},u=0;o.length>u;)void 0!==(r=i(n,e=o[u++]))&&nl(a,e,r);return a}});var il=$.Object.getOwnPropertyDescriptors,ol={exports:{}},al=br,ul=_,sl=Xo.f;al({target:"Object",stat:!0,forced:Object.defineProperties!==sl,sham:!ul},{defineProperties:sl});var cl=$.Object,fl=ol.exports=function(t,e){return cl.defineProperties(t,e)};cl.defineProperties.sham&&(fl.sham=!0);var ll=ol.exports,hl=Tr;br({target:"Array",stat:!0},{isArray:xn});var pl=$.Array.isArray,vl=pl;var dl=br,yl=i,gl=o,ml=xn,bl=H,_l=zt,wl=nn,Ol=ts,El=ai,xl=mi,Tl=st,kl=ie("isConcatSpreadable"),Sl=yl.TypeError,Al=Tl>=51||!gl((function(){var t=[];return t[kl]=!1,t.concat()[0]!==t})),jl=xl("concat"),Pl=function(t){if(!bl(t))return!1;var e=t[kl];return void 0!==e?!!e:ml(t)};dl({target:"Array",proto:!0,forced:!Al||!jl},{concat:function(t){var e,r,n,i,o,a=_l(this),u=El(a,0),s=0;for(e=-1,n=arguments.length;e<n;e++)if(Pl(o=-1===e?a:arguments[e])){if(s+(i=wl(o))>9007199254740991)throw Sl("Maximum allowed index exceeded");for(r=0;r<i;r++,s++)r in o&&Ol(u,s,o[r])}else{if(s>=9007199254740991)throw Sl("Maximum allowed index exceeded");Ol(u,s++,o)}return u.length=s,u}}),gc("asyncIterator"),gc("hasInstance"),gc("isConcatSpreadable"),gc("iterator"),gc("match"),gc("matchAll"),gc("replace"),gc("search"),gc("species"),gc("split"),gc("toPrimitive"),gc("toStringTag"),gc("unscopables"),uu(i.JSON,"JSON",!0);var Il=$.Symbol,Dl=Il;gc("asyncDispose"),gc("dispose"),gc("matcher"),gc("metadata"),gc("observable"),gc("patternMatch"),gc("replaceAll");var Ll=Dl;var Cl=br,Rl=i,Ml=xn,Fl=Qn,Nl=H,zl=Ho,ql=nn,Yl=W,Gl=ts,Xl=ie,Ul=Pr,Wl=mi("slice"),Vl=Xl("species"),Hl=Rl.Array,$l=Math.max;Cl({target:"Array",proto:!0,forced:!Wl},{slice:function(t,e){var r,n,i,o=Yl(this),a=ql(o),u=zl(t,a),s=zl(void 0===e?a:e,a);if(Ml(o)&&(r=o.constructor,(Fl(r)&&(r===Hl||Ml(r.prototype))||Nl(r)&&null===(r=r[Vl]))&&(r=void 0),r===Hl||void 0===r))return Ul(o,u,s);for(n=new(void 0===r?Hl:r)($l(s-u,0)),i=0;u<s;u++,i++)u in o&&Gl(n,i,o[u]);return n.length=i,n}});var Bl=Wr("Array").slice,Jl=tt,Kl=Bl,Ql=Array.prototype,Zl=function(t){var e=t.slice;return t===Ql||Jl(Ql,t)&&e===Ql.slice?Kl:e},th=Zl,eh=Ps;function rh(t,e){(null==e||e>t.length)&&(e=t.length);for(var r=0,n=new Array(e);r<e;r++)n[r]=t[r];return n}function nh(t,e){var r;if(t){if("string"==typeof t)return rh(t,e);var n=th(r=Object.prototype.toString.call(t)).call(r,8,-1);return"Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?eh(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?rh(t,e):void 0}}function ih(t,e){return function(t){if(vl(t))return t}(t)||function(t,e){var r=null==t?null:void 0!==Ll&&$s(t)||t["@@iterator"];if(null!=r){var n,i,o=[],a=!0,u=!1;try{for(r=r.call(t);!(a=(n=r.next()).done)&&(o.push(n.value),!e||o.length!==e);a=!0);}catch(t){u=!0,i=t}finally{try{a||null==r.return||r.return()}finally{if(u)throw i}}return o}}(t,e)||nh(t,e)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}var oh=lc.f("iterator"),ah=oh;function uh(t){return uh="function"==typeof Ll&&"symbol"==typeof ah?function(t){return typeof t}:function(t){return t&&"function"==typeof Ll&&t.constructor===Ll&&t!==Ll.prototype?"symbol":typeof t},uh(t)}function sh(t){return function(t){if(vl(t))return rh(t)}(t)||function(t){if(void 0!==Ll&&null!=$s(t)||null!=t["@@iterator"])return eh(t)}(t)||nh(t)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}var ch=Il,fh=Wr("Array").concat,lh=tt,hh=fh,ph=Array.prototype,vh=function(t){var e=t.concat;return t===ph||lh(ph,t)&&e===ph.concat?hh:e},dh=Zl;br({target:"Reflect",stat:!0},{ownKeys:Zf});var yh=$.Reflect.ownKeys,gh=pl,mh=zt,bh=sa;br({target:"Object",stat:!0,forced:o((function(){bh(1)}))},{keys:function(t){return bh(mh(t))}});var _h=$.Object.keys,wh=br,Oh=g,Eh=i.Date,xh=Oh(Eh.prototype.getTime);wh({target:"Date",stat:!0},{now:function(){return xh(new Eh)}}),$.Date.now;var Th=vi.forEach,kh=pn("forEach")?[].forEach:function(t){return Th(this,t,arguments.length>1?arguments[1]:void 0)};br({target:"Array",proto:!0,forced:[].forEach!=kh},{forEach:kh});var Sh=Wr("Array").forEach,Ah=Cn,jh=Gt,Ph=tt,Ih=Sh,Dh=Array.prototype,Lh={DOMTokenList:!0,NodeList:!0},Ch=function(t){var e=t.forEach;return t===Dh||Ph(Dh,t)&&e===Dh.forEach||jh(Lh,Ah(t))?Ih:e},Rh=br,Mh=xn,Fh=g([].reverse),Nh=[1,2];Rh({target:"Array",proto:!0,forced:String(Nh)===String(Nh.reverse())},{reverse:function(){return Mh(this)&&(this.length=this.length),Fh(this)}});var zh=Wr("Array").reverse,qh=tt,Yh=zh,Gh=Array.prototype,Xh=function(t){var e=t.reverse;return t===Gh||qh(Gh,t)&&e===Gh.reverse?Yh:e},Uh=br,Wh=i,Vh=Ho,Hh=Zr,$h=nn,Bh=zt,Jh=ai,Kh=ts,Qh=mi("splice"),Zh=Wh.TypeError,tp=Math.max,ep=Math.min;Uh({target:"Array",proto:!0,forced:!Qh},{splice:function(t,e){var r,n,i,o,a,u,s=Bh(this),c=$h(s),f=Vh(t,c),l=arguments.length;if(0===l?r=n=0:1===l?(r=0,n=c-f):(r=l-2,n=ep(tp(Hh(e),0),c-f)),c+r-n>9007199254740991)throw Zh("Maximum allowed length exceeded");for(i=Jh(s,n),o=0;o<n;o++)(a=f+o)in s&&Kh(i,o,s[a]);if(i.length=n,r<n){for(o=f;o<c-n;o++)u=o+r,(a=o+n)in s?s[u]=s[a]:delete s[u];for(o=c;o>c-n+r;o--)delete s[o-1]}else if(r>n)for(o=c-n;o>f;o--)u=o+r-1,(a=o+n-1)in s?s[u]=s[a]:delete s[u];for(o=0;o<r;o++)s[o+f]=arguments[o+2];return s.length=c-n+r,i}});var rp=Wr("Array").splice,np=tt,ip=rp,op=Array.prototype,ap=function(t){var e=t.splice;return t===op||np(op,t)&&e===op.splice?ip:e},up=_,sp=g,cp=E,fp=o,lp=sa,hp=fc,pp=x,vp=zt,dp=q,yp=Object.assign,gp=Object.defineProperty,mp=sp([].concat),bp=!yp||fp((function(){if(up&&1!==yp({b:1},yp(gp({},"a",{enumerable:!0,get:function(){gp(this,"b",{value:3,enumerable:!1})}}),{b:2})).b)return!0;var t={},e={},r=Symbol(),n="abcdefghijklmnopqrst";return t[r]=7,n.split("").forEach((function(t){e[t]=t})),7!=yp({},t)[r]||lp(yp({},e)).join("")!=n}))?function(t,e){for(var r=vp(t),n=arguments.length,i=1,o=hp.f,a=pp.f;n>i;)for(var u,s=dp(arguments[i++]),c=o?mp(lp(s),o(s)):lp(s),f=c.length,l=0;f>l;)u=c[l++],up&&!cp(a,s,u)||(r[u]=s[u]);return r}:yp,_p=bp;br({target:"Object",stat:!0,forced:Object.assign!==_p},{assign:_p});var wp=$.Object.assign,Op=Qo.includes;br({target:"Array",proto:!0},{includes:function(t){return Op(this,t,arguments.length>1?arguments[1]:void 0)}}),Wr("Array").includes;var Ep=H,xp=C,Tp=ie("match"),kp=function(t){var e;return Ep(t)&&(void 0!==(e=t[Tp])?!!e:"RegExp"==xp(t))},Sp=i.TypeError,Ap=ie("match"),jp=br,Pp=function(t){if(kp(t))throw Sp("The method doesn't accept regular expressions");return t},Ip=G,Dp=to,Lp=function(t){var e=/./;try{"/./"[t](e)}catch(r){try{return e[Ap]=!1,"/./"[t](e)}catch(t){}}return!1},Cp=g("".indexOf);jp({target:"String",proto:!0,forced:!Lp("includes")},{includes:function(t){return!!~Cp(Dp(Ip(this)),Dp(Pp(t)),arguments.length>1?arguments[1]:void 0)}}),Wr("String").includes;var Rp=zt,Mp=Ya,Fp=Da;br({target:"Object",stat:!0,forced:o((function(){Mp(1)})),sham:!Fp},{getPrototypeOf:function(t){return Mp(Rp(t))}});var Np=$.Object.getPrototypeOf,zp=_,qp=g,Yp=sa,Gp=W,Xp=qp(x.f),Up=qp([].push),Wp=function(t){return function(e){for(var r,n=Gp(e),i=Yp(n),o=i.length,a=0,u=[];o>a;)r=i[a++],zp&&!Xp(n,r)||Up(u,t?[r,n[r]]:n[r]);return u}},Vp={entries:Wp(!0),values:Wp(!1)}.values;br({target:"Object",stat:!0},{values:function(t){return Vp(t)}}),$.Object.values;var Hp=G,$p=to,Bp=g("".replace),Jp="[\t\n\v\f\r                　\u2028\u2029\ufeff]",Kp=RegExp("^"+Jp+Jp+"*"),Qp=RegExp(Jp+Jp+"*$"),Zp=function(t){return function(e){var r=$p(Hp(e));return 1&t&&(r=Bp(r,Kp,"")),2&t&&(r=Bp(r,Qp,"")),r}},tv={start:Zp(1),end:Zp(2),trim:Zp(3)},ev=i,rv=o,nv=g,iv=to,ov=tv.trim,av=ev.parseInt,uv=ev.Symbol,sv=uv&&uv.iterator,cv=/^[+-]?0x/i,fv=nv(cv.exec),lv=8!==av("\t\n\v\f\r                　\u2028\u2029\ufeff08")||22!==av("\t\n\v\f\r                　\u2028\u2029\ufeff0x16")||sv&&!rv((function(){av(Object(sv))}))?function(t,e){var r=ov(iv(t));return av(r,e>>>0||(fv(cv,r)?16:10))}:av;br({global:!0,forced:parseInt!=lv},{parseInt:lv});var hv=br,pv=Qo.indexOf,vv=pn,dv=g([].indexOf),yv=!!dv&&1/dv([1],1,-0)<0,gv=vv("indexOf");hv({target:"Array",proto:!0,forced:yv||!gv},{indexOf:function(t){var e=arguments.length>1?arguments[1]:void 0;return yv?dv(this,t,e)||0:pv(this,t,e)}}),Wr("Array").indexOf;var mv=Go.PROPER,bv=o,_v="\t\n\v\f\r                　\u2028\u2029\ufeff",wv=tv.trim;br({target:"String",proto:!0,forced:function(t){return bv((function(){return!!_v[t]()||"​᠎"!=="​᠎"[t]()||mv&&_v[t].name!==t}))}("trim")},{trim:function(){return wv(this)}}),Wr("String").trim,br({target:"Object",stat:!0,sham:!_},{create:Ia});var Ov=$.Object,Ev=function(t,e){return Ov.create(t,e)},xv=Ev,Tv=br,kv=Z,Sv=l,Av=g,jv=o,Pv=i.Array,Iv=kv("JSON","stringify"),Dv=Av(/./.exec),Lv=Av("".charAt),Cv=Av("".charCodeAt),Rv=Av("".replace),Mv=Av(1..toString),Fv=/[\uD800-\uDFFF]/g,Nv=/^[\uD800-\uDBFF]$/,zv=/^[\uDC00-\uDFFF]$/,qv=function(t,e,r){var n=Lv(r,e-1),i=Lv(r,e+1);return Dv(Nv,t)&&!Dv(zv,i)||Dv(zv,t)&&!Dv(Nv,n)?"\\u"+Mv(Cv(t,0),16):t},Yv=jv((function(){return'"\\udf06\\ud834"'!==Iv("\udf06\ud834")||'"\\udead"'!==Iv("\udead")}));Iv&&Tv({target:"JSON",stat:!0,forced:Yv},{stringify:function(t,e,r){for(var n=0,i=arguments.length,o=Pv(i);n<i;n++)o[n]=arguments[n];var a=Sv(Iv,null,o);return"string"==typeof a?Rv(a,Fv,qv):a}});var Gv=$,Xv=l;Gv.JSON||(Gv.JSON={stringify:JSON.stringify});var Uv=function(t,e,r){return Xv(Gv.JSON.stringify,null,arguments)},Wv=i.TypeError,Vv=br,Hv=i,$v=l,Bv=m,Jv=Pr,Kv=function(t,e){if(t<e)throw Wv("Not enough arguments");return t},Qv=/MSIE .\./.test(et),Zv=Hv.Function,td=function(t){return function(e,r){var n=Kv(arguments.length,1)>2,i=Bv(e)?e:Zv(e),o=n?Jv(arguments,2):void 0;return t(n?function(){$v(i,this,o)}:i,r)}};Vv({global:!0,bind:!0,forced:Qv},{setTimeout:td(Hv.setTimeout),setInterval:td(Hv.setInterval)});var ed=$.setTimeout,rd=zt,nd=Ho,id=nn;br({target:"Array",proto:!0},{fill:function(t){for(var e=rd(this),r=id(e),n=arguments.length,i=nd(n>1?arguments[1]:void 0,r),o=n>2?arguments[2]:void 0,a=void 0===o?r:nd(o,r);a>i;)e[i++]=t;return e}}),Wr("Array").fill;var od={exports:{}};!function(t){function e(t){if(t)return function(t){for(var r in e.prototype)t[r]=e.prototype[r];return t}(t)}od.exports=e,e.prototype.on=e.prototype.addEventListener=function(t,e){return this._callbacks=this._callbacks||{},(this._callbacks["$"+t]=this._callbacks["$"+t]||[]).push(e),this},e.prototype.once=function(t,e){function r(){this.off(t,r),e.apply(this,arguments)}return r.fn=e,this.on(t,r),this},e.prototype.off=e.prototype.removeListener=e.prototype.removeAllListeners=e.prototype.removeEventListener=function(t,e){if(this._callbacks=this._callbacks||{},0==arguments.length)return this._callbacks={},this;var r,n=this._callbacks["$"+t];if(!n)return this;if(1==arguments.length)return delete this._callbacks["$"+t],this;for(var i=0;i<n.length;i++)if((r=n[i])===e||r.fn===e){n.splice(i,1);break}return 0===n.length&&delete this._callbacks["$"+t],this},e.prototype.emit=function(t){this._callbacks=this._callbacks||{};for(var e=new Array(arguments.length-1),r=this._callbacks["$"+t],n=1;n<arguments.length;n++)e[n-1]=arguments[n];if(r){n=0;for(var i=(r=r.slice(0)).length;n<i;++n)r[n].apply(this,e)}return this},e.prototype.listeners=function(t){return this._callbacks=this._callbacks||{},this._callbacks["$"+t]||[]},e.prototype.hasListeners=function(t){return!!this.listeners(t).length}}();var ad=od.exports;
/*! Hammer.JS - v2.0.17-rc - 2019-12-16
 * http://naver.github.io/egjs
 *
 * Forked By Naver egjs
 * Copyright (c) hammerjs
 * Licensed under the MIT license */function ud(){return ud=Object.assign||function(t){for(var e=1;e<arguments.length;e++){var r=arguments[e];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(t[n]=r[n])}return t},ud.apply(this,arguments)}function sd(t,e){t.prototype=Object.create(e.prototype),t.prototype.constructor=t,t.__proto__=e}function cd(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t}var fd,ld="function"!=typeof Object.assign?function(t){if(null==t)throw new TypeError("Cannot convert undefined or null to object");for(var e=Object(t),r=1;r<arguments.length;r++){var n=arguments[r];if(null!=n)for(var i in n)n.hasOwnProperty(i)&&(e[i]=n[i])}return e}:Object.assign,hd=["","webkit","Moz","MS","ms","o"],pd="undefined"==typeof document?{style:{}}:document.createElement("div"),vd=Math.round,dd=Math.abs,yd=Date.now;function gd(t,e){for(var r,n,i=e[0].toUpperCase()+e.slice(1),o=0;o<hd.length;){if((n=(r=hd[o])?r+i:e)in t)return n;o++}}fd="undefined"==typeof window?{}:window;var md=gd(pd.style,"touchAction"),bd=void 0!==md;var _d=function(){if(!bd)return!1;var t={},e=fd.CSS&&fd.CSS.supports;return["auto","manipulation","pan-y","pan-x","pan-x pan-y","none"].forEach((function(r){return t[r]=!e||fd.CSS.supports("touch-action",r)})),t}(),wd="ontouchstart"in fd,Od=void 0!==gd(fd,"PointerEvent"),Ed=wd&&/mobile|tablet|ip(ad|hone|od)|android/i.test(navigator.userAgent),xd=["x","y"],Td=["clientX","clientY"];function kd(t,e,r){var n;if(t)if(t.forEach)t.forEach(e,r);else if(void 0!==t.length)for(n=0;n<t.length;)e.call(r,t[n],n,t),n++;else for(n in t)t.hasOwnProperty(n)&&e.call(r,t[n],n,t)}function Sd(t,e){return"function"==typeof t?t.apply(e&&e[0]||void 0,e):t}function Ad(t,e){return t.indexOf(e)>-1}var jd=function(){function t(t,e){this.manager=t,this.set(e)}var e=t.prototype;return e.set=function(t){"compute"===t&&(t=this.compute()),bd&&this.manager.element.style&&_d[t]&&(this.manager.element.style[md]=t),this.actions=t.toLowerCase().trim()},e.update=function(){this.set(this.manager.options.touchAction)},e.compute=function(){var t=[];return kd(this.manager.recognizers,(function(e){Sd(e.options.enable,[e])&&(t=t.concat(e.getTouchAction()))})),function(t){if(Ad(t,"none"))return"none";var e=Ad(t,"pan-x"),r=Ad(t,"pan-y");return e&&r?"none":e||r?e?"pan-x":"pan-y":Ad(t,"manipulation")?"manipulation":"auto"}(t.join(" "))},e.preventDefaults=function(t){var e=t.srcEvent,r=t.offsetDirection;if(this.manager.session.prevented)e.preventDefault();else{var n=this.actions,i=Ad(n,"none")&&!_d.none,o=Ad(n,"pan-y")&&!_d["pan-y"],a=Ad(n,"pan-x")&&!_d["pan-x"];if(i){var u=1===t.pointers.length,s=t.distance<2,c=t.deltaTime<250;if(u&&s&&c)return}if(!a||!o)return i||o&&6&r||a&&24&r?this.preventSrc(e):void 0}},e.preventSrc=function(t){this.manager.session.prevented=!0,t.preventDefault()},t}();function Pd(t,e){for(;t;){if(t===e)return!0;t=t.parentNode}return!1}function Id(t){var e=t.length;if(1===e)return{x:vd(t[0].clientX),y:vd(t[0].clientY)};for(var r=0,n=0,i=0;i<e;)r+=t[i].clientX,n+=t[i].clientY,i++;return{x:vd(r/e),y:vd(n/e)}}function Dd(t){for(var e=[],r=0;r<t.pointers.length;)e[r]={clientX:vd(t.pointers[r].clientX),clientY:vd(t.pointers[r].clientY)},r++;return{timeStamp:yd(),pointers:e,center:Id(e),deltaX:t.deltaX,deltaY:t.deltaY}}function Ld(t,e,r){r||(r=xd);var n=e[r[0]]-t[r[0]],i=e[r[1]]-t[r[1]];return Math.sqrt(n*n+i*i)}function Cd(t,e,r){r||(r=xd);var n=e[r[0]]-t[r[0]],i=e[r[1]]-t[r[1]];return 180*Math.atan2(i,n)/Math.PI}function Rd(t,e){return t===e?1:dd(t)>=dd(e)?t<0?2:4:e<0?8:16}function Md(t,e,r){return{x:e/t||0,y:r/t||0}}function Fd(t,e){var r=t.session,n=e.pointers,i=n.length;r.firstInput||(r.firstInput=Dd(e)),i>1&&!r.firstMultiple?r.firstMultiple=Dd(e):1===i&&(r.firstMultiple=!1);var o=r.firstInput,a=r.firstMultiple,u=a?a.center:o.center,s=e.center=Id(n);e.timeStamp=yd(),e.deltaTime=e.timeStamp-o.timeStamp,e.angle=Cd(u,s),e.distance=Ld(u,s),function(t,e){var r=e.center,n=t.offsetDelta||{},i=t.prevDelta||{},o=t.prevInput||{};1!==e.eventType&&4!==o.eventType||(i=t.prevDelta={x:o.deltaX||0,y:o.deltaY||0},n=t.offsetDelta={x:r.x,y:r.y}),e.deltaX=i.x+(r.x-n.x),e.deltaY=i.y+(r.y-n.y)}(r,e),e.offsetDirection=Rd(e.deltaX,e.deltaY);var c,f,l=Md(e.deltaTime,e.deltaX,e.deltaY);e.overallVelocityX=l.x,e.overallVelocityY=l.y,e.overallVelocity=dd(l.x)>dd(l.y)?l.x:l.y,e.scale=a?(c=a.pointers,Ld((f=n)[0],f[1],Td)/Ld(c[0],c[1],Td)):1,e.rotation=a?function(t,e){return Cd(e[1],e[0],Td)+Cd(t[1],t[0],Td)}(a.pointers,n):0,e.maxPointers=r.prevInput?e.pointers.length>r.prevInput.maxPointers?e.pointers.length:r.prevInput.maxPointers:e.pointers.length,function(t,e){var r,n,i,o,a=t.lastInterval||e,u=e.timeStamp-a.timeStamp;if(8!==e.eventType&&(u>25||void 0===a.velocity)){var s=e.deltaX-a.deltaX,c=e.deltaY-a.deltaY,f=Md(u,s,c);n=f.x,i=f.y,r=dd(f.x)>dd(f.y)?f.x:f.y,o=Rd(s,c),t.lastInterval=e}else r=a.velocity,n=a.velocityX,i=a.velocityY,o=a.direction;e.velocity=r,e.velocityX=n,e.velocityY=i,e.direction=o}(r,e);var h,p=t.element,v=e.srcEvent;Pd(h=v.composedPath?v.composedPath()[0]:v.path?v.path[0]:v.target,p)&&(p=h),e.target=p}function Nd(t,e,r){var n=r.pointers.length,i=r.changedPointers.length,o=1&e&&n-i==0,a=12&e&&n-i==0;r.isFirst=!!o,r.isFinal=!!a,o&&(t.session={}),r.eventType=e,Fd(t,r),t.emit("hammer.input",r),t.recognize(r),t.session.prevInput=r}function zd(t){return t.trim().split(/\s+/g)}function qd(t,e,r){kd(zd(e),(function(e){t.addEventListener(e,r,!1)}))}function Yd(t,e,r){kd(zd(e),(function(e){t.removeEventListener(e,r,!1)}))}function Gd(t){var e=t.ownerDocument||t;return e.defaultView||e.parentWindow||window}var Xd=function(){function t(t,e){var r=this;this.manager=t,this.callback=e,this.element=t.element,this.target=t.options.inputTarget,this.domHandler=function(e){Sd(t.options.enable,[t])&&r.handler(e)},this.init()}var e=t.prototype;return e.handler=function(){},e.init=function(){this.evEl&&qd(this.element,this.evEl,this.domHandler),this.evTarget&&qd(this.target,this.evTarget,this.domHandler),this.evWin&&qd(Gd(this.element),this.evWin,this.domHandler)},e.destroy=function(){this.evEl&&Yd(this.element,this.evEl,this.domHandler),this.evTarget&&Yd(this.target,this.evTarget,this.domHandler),this.evWin&&Yd(Gd(this.element),this.evWin,this.domHandler)},t}();function Ud(t,e,r){if(t.indexOf&&!r)return t.indexOf(e);for(var n=0;n<t.length;){if(r&&t[n][r]==e||!r&&t[n]===e)return n;n++}return-1}var Wd={pointerdown:1,pointermove:2,pointerup:4,pointercancel:8,pointerout:8},Vd={2:"touch",3:"pen",4:"mouse",5:"kinect"},Hd="pointerdown",$d="pointermove pointerup pointercancel";fd.MSPointerEvent&&!fd.PointerEvent&&(Hd="MSPointerDown",$d="MSPointerMove MSPointerUp MSPointerCancel");var Bd=function(t){function e(){var r,n=e.prototype;return n.evEl=Hd,n.evWin=$d,(r=t.apply(this,arguments)||this).store=r.manager.session.pointerEvents=[],r}return sd(e,t),e.prototype.handler=function(t){var e=this.store,r=!1,n=t.type.toLowerCase().replace("ms",""),i=Wd[n],o=Vd[t.pointerType]||t.pointerType,a="touch"===o,u=Ud(e,t.pointerId,"pointerId");1&i&&(0===t.button||a)?u<0&&(e.push(t),u=e.length-1):12&i&&(r=!0),u<0||(e[u]=t,this.callback(this.manager,i,{pointers:e,changedPointers:[t],pointerType:o,srcEvent:t}),r&&e.splice(u,1))},e}(Xd);function Jd(t){return Array.prototype.slice.call(t,0)}function Kd(t,e,r){for(var n=[],i=[],o=0;o<t.length;){var a=e?t[o][e]:t[o];Ud(i,a)<0&&n.push(t[o]),i[o]=a,o++}return r&&(n=e?n.sort((function(t,r){return t[e]>r[e]})):n.sort()),n}var Qd={touchstart:1,touchmove:2,touchend:4,touchcancel:8},Zd=function(t){function e(){var r;return e.prototype.evTarget="touchstart touchmove touchend touchcancel",(r=t.apply(this,arguments)||this).targetIds={},r}return sd(e,t),e.prototype.handler=function(t){var e=Qd[t.type],r=ty.call(this,t,e);r&&this.callback(this.manager,e,{pointers:r[0],changedPointers:r[1],pointerType:"touch",srcEvent:t})},e}(Xd);function ty(t,e){var r,n,i=Jd(t.touches),o=this.targetIds;if(3&e&&1===i.length)return o[i[0].identifier]=!0,[i,i];var a=Jd(t.changedTouches),u=[],s=this.target;if(n=i.filter((function(t){return Pd(t.target,s)})),1===e)for(r=0;r<n.length;)o[n[r].identifier]=!0,r++;for(r=0;r<a.length;)o[a[r].identifier]&&u.push(a[r]),12&e&&delete o[a[r].identifier],r++;return u.length?[Kd(n.concat(u),"identifier",!0),u]:void 0}var ey={mousedown:1,mousemove:2,mouseup:4},ry=function(t){function e(){var r,n=e.prototype;return n.evEl="mousedown",n.evWin="mousemove mouseup",(r=t.apply(this,arguments)||this).pressed=!1,r}return sd(e,t),e.prototype.handler=function(t){var e=ey[t.type];1&e&&0===t.button&&(this.pressed=!0),2&e&&1!==t.which&&(e=4),this.pressed&&(4&e&&(this.pressed=!1),this.callback(this.manager,e,{pointers:[t],changedPointers:[t],pointerType:"mouse",srcEvent:t}))},e}(Xd);function ny(t){var e=t.changedPointers[0];if(e.identifier===this.primaryTouch){var r={x:e.clientX,y:e.clientY},n=this.lastTouches;this.lastTouches.push(r);setTimeout((function(){var t=n.indexOf(r);t>-1&&n.splice(t,1)}),2500)}}function iy(t,e){1&t?(this.primaryTouch=e.changedPointers[0].identifier,ny.call(this,e)):12&t&&ny.call(this,e)}function oy(t){for(var e=t.srcEvent.clientX,r=t.srcEvent.clientY,n=0;n<this.lastTouches.length;n++){var i=this.lastTouches[n],o=Math.abs(e-i.x),a=Math.abs(r-i.y);if(o<=25&&a<=25)return!0}return!1}var ay=function(){return function(t){function e(e,r){var n;return(n=t.call(this,e,r)||this).handler=function(t,e,r){var i="touch"===r.pointerType,o="mouse"===r.pointerType;if(!(o&&r.sourceCapabilities&&r.sourceCapabilities.firesTouchEvents)){if(i)iy.call(cd(cd(n)),e,r);else if(o&&oy.call(cd(cd(n)),r))return;n.callback(t,e,r)}},n.touch=new Zd(n.manager,n.handler),n.mouse=new ry(n.manager,n.handler),n.primaryTouch=null,n.lastTouches=[],n}return sd(e,t),e.prototype.destroy=function(){this.touch.destroy(),this.mouse.destroy()},e}(Xd)}();function uy(t,e,r){return!!Array.isArray(t)&&(kd(t,r[e],r),!0)}var sy=1;function cy(t,e){var r=e.manager;return r?r.get(t):t}function fy(t){return 16&t?"cancel":8&t?"end":4&t?"move":2&t?"start":""}var ly=function(){function t(t){void 0===t&&(t={}),this.options=ud({enable:!0},t),this.id=sy++,this.manager=null,this.state=1,this.simultaneous={},this.requireFail=[]}var e=t.prototype;return e.set=function(t){return ld(this.options,t),this.manager&&this.manager.touchAction.update(),this},e.recognizeWith=function(t){if(uy(t,"recognizeWith",this))return this;var e=this.simultaneous;return e[(t=cy(t,this)).id]||(e[t.id]=t,t.recognizeWith(this)),this},e.dropRecognizeWith=function(t){return uy(t,"dropRecognizeWith",this)||(t=cy(t,this),delete this.simultaneous[t.id]),this},e.requireFailure=function(t){if(uy(t,"requireFailure",this))return this;var e=this.requireFail;return-1===Ud(e,t=cy(t,this))&&(e.push(t),t.requireFailure(this)),this},e.dropRequireFailure=function(t){if(uy(t,"dropRequireFailure",this))return this;t=cy(t,this);var e=Ud(this.requireFail,t);return e>-1&&this.requireFail.splice(e,1),this},e.hasRequireFailures=function(){return this.requireFail.length>0},e.canRecognizeWith=function(t){return!!this.simultaneous[t.id]},e.emit=function(t){var e=this,r=this.state;function n(r){e.manager.emit(r,t)}r<8&&n(e.options.event+fy(r)),n(e.options.event),t.additionalEvent&&n(t.additionalEvent),r>=8&&n(e.options.event+fy(r))},e.tryEmit=function(t){if(this.canEmit())return this.emit(t);this.state=32},e.canEmit=function(){for(var t=0;t<this.requireFail.length;){if(!(33&this.requireFail[t].state))return!1;t++}return!0},e.recognize=function(t){var e=ld({},t);if(!Sd(this.options.enable,[this,e]))return this.reset(),void(this.state=32);56&this.state&&(this.state=1),this.state=this.process(e),30&this.state&&this.tryEmit(e)},e.process=function(t){},e.getTouchAction=function(){},e.reset=function(){},t}(),hy=function(t){function e(e){var r;return void 0===e&&(e={}),(r=t.call(this,ud({event:"tap",pointers:1,taps:1,interval:300,time:250,threshold:9,posThreshold:10},e))||this).pTime=!1,r.pCenter=!1,r._timer=null,r._input=null,r.count=0,r}sd(e,t);var r=e.prototype;return r.getTouchAction=function(){return["manipulation"]},r.process=function(t){var e=this,r=this.options,n=t.pointers.length===r.pointers,i=t.distance<r.threshold,o=t.deltaTime<r.time;if(this.reset(),1&t.eventType&&0===this.count)return this.failTimeout();if(i&&o&&n){if(4!==t.eventType)return this.failTimeout();var a=!this.pTime||t.timeStamp-this.pTime<r.interval,u=!this.pCenter||Ld(this.pCenter,t.center)<r.posThreshold;if(this.pTime=t.timeStamp,this.pCenter=t.center,u&&a?this.count+=1:this.count=1,this._input=t,0===this.count%r.taps)return this.hasRequireFailures()?(this._timer=setTimeout((function(){e.state=8,e.tryEmit()}),r.interval),2):8}return 32},r.failTimeout=function(){var t=this;return this._timer=setTimeout((function(){t.state=32}),this.options.interval),32},r.reset=function(){clearTimeout(this._timer)},r.emit=function(){8===this.state&&(this._input.tapCount=this.count,this.manager.emit(this.options.event,this._input))},e}(ly),py=function(t){function e(e){return void 0===e&&(e={}),t.call(this,ud({pointers:1},e))||this}sd(e,t);var r=e.prototype;return r.attrTest=function(t){var e=this.options.pointers;return 0===e||t.pointers.length===e},r.process=function(t){var e=this.state,r=t.eventType,n=6&e,i=this.attrTest(t);return n&&(8&r||!i)?16|e:n||i?4&r?8|e:2&e?4|e:2:32},e}(ly);function vy(t){return 16===t?"down":8===t?"up":2===t?"left":4===t?"right":""}var dy=function(t){function e(e){var r;return void 0===e&&(e={}),(r=t.call(this,ud({event:"pan",threshold:10,pointers:1,direction:30},e))||this).pX=null,r.pY=null,r}sd(e,t);var r=e.prototype;return r.getTouchAction=function(){var t=this.options.direction,e=[];return 6&t&&e.push("pan-y"),24&t&&e.push("pan-x"),e},r.directionTest=function(t){var e=this.options,r=!0,n=t.distance,i=t.direction,o=t.deltaX,a=t.deltaY;return i&e.direction||(6&e.direction?(i=0===o?1:o<0?2:4,r=o!==this.pX,n=Math.abs(t.deltaX)):(i=0===a?1:a<0?8:16,r=a!==this.pY,n=Math.abs(t.deltaY))),t.direction=i,r&&n>e.threshold&&i&e.direction},r.attrTest=function(t){return py.prototype.attrTest.call(this,t)&&(2&this.state||!(2&this.state)&&this.directionTest(t))},r.emit=function(e){this.pX=e.deltaX,this.pY=e.deltaY;var r=vy(e.direction);r&&(e.additionalEvent=this.options.event+r),t.prototype.emit.call(this,e)},e}(py),yy=function(t){function e(e){return void 0===e&&(e={}),t.call(this,ud({event:"swipe",threshold:10,velocity:.3,direction:30,pointers:1},e))||this}sd(e,t);var r=e.prototype;return r.getTouchAction=function(){return dy.prototype.getTouchAction.call(this)},r.attrTest=function(e){var r,n=this.options.direction;return 30&n?r=e.overallVelocity:6&n?r=e.overallVelocityX:24&n&&(r=e.overallVelocityY),t.prototype.attrTest.call(this,e)&&n&e.offsetDirection&&e.distance>this.options.threshold&&e.maxPointers===this.options.pointers&&dd(r)>this.options.velocity&&4&e.eventType},r.emit=function(t){var e=vy(t.offsetDirection);e&&this.manager.emit(this.options.event+e,t),this.manager.emit(this.options.event,t)},e}(py),gy=function(t){function e(e){return void 0===e&&(e={}),t.call(this,ud({event:"pinch",threshold:0,pointers:2},e))||this}sd(e,t);var r=e.prototype;return r.getTouchAction=function(){return["none"]},r.attrTest=function(e){return t.prototype.attrTest.call(this,e)&&(Math.abs(e.scale-1)>this.options.threshold||2&this.state)},r.emit=function(e){if(1!==e.scale){var r=e.scale<1?"in":"out";e.additionalEvent=this.options.event+r}t.prototype.emit.call(this,e)},e}(py),my=function(t){function e(e){return void 0===e&&(e={}),t.call(this,ud({event:"rotate",threshold:0,pointers:2},e))||this}sd(e,t);var r=e.prototype;return r.getTouchAction=function(){return["none"]},r.attrTest=function(e){return t.prototype.attrTest.call(this,e)&&(Math.abs(e.rotation)>this.options.threshold||2&this.state)},e}(py),by=function(t){function e(e){var r;return void 0===e&&(e={}),(r=t.call(this,ud({event:"press",pointers:1,time:251,threshold:9},e))||this)._timer=null,r._input=null,r}sd(e,t);var r=e.prototype;return r.getTouchAction=function(){return["auto"]},r.process=function(t){var e=this,r=this.options,n=t.pointers.length===r.pointers,i=t.distance<r.threshold,o=t.deltaTime>r.time;if(this._input=t,!i||!n||12&t.eventType&&!o)this.reset();else if(1&t.eventType)this.reset(),this._timer=setTimeout((function(){e.state=8,e.tryEmit()}),r.time);else if(4&t.eventType)return 8;return 32},r.reset=function(){clearTimeout(this._timer)},r.emit=function(t){8===this.state&&(t&&4&t.eventType?this.manager.emit(this.options.event+"up",t):(this._input.timeStamp=yd(),this.manager.emit(this.options.event,this._input)))},e}(ly),_y={domEvents:!1,touchAction:"compute",enable:!0,inputTarget:null,inputClass:null,cssProps:{userSelect:"none",touchSelect:"none",touchCallout:"none",contentZooming:"none",userDrag:"none",tapHighlightColor:"rgba(0,0,0,0)"}},wy=[[my,{enable:!1}],[gy,{enable:!1},["rotate"]],[yy,{direction:6}],[dy,{direction:6},["swipe"]],[hy],[hy,{event:"doubletap",taps:2},["tap"]],[by]];function Oy(t,e){var r,n=t.element;n.style&&(kd(t.options.cssProps,(function(i,o){r=gd(n.style,o),e?(t.oldCssProps[r]=n.style[r],n.style[r]=i):n.style[r]=t.oldCssProps[r]||""})),e||(t.oldCssProps={}))}var Ey=function(){function t(t,e){var r,n=this;this.options=ld({},_y,e||{}),this.options.inputTarget=this.options.inputTarget||t,this.handlers={},this.session={},this.recognizers=[],this.oldCssProps={},this.element=t,this.input=new((r=this).options.inputClass||(Od?Bd:Ed?Zd:wd?ay:ry))(r,Nd),this.touchAction=new jd(this,this.options.touchAction),Oy(this,!0),kd(this.options.recognizers,(function(t){var e=n.add(new t[0](t[1]));t[2]&&e.recognizeWith(t[2]),t[3]&&e.requireFailure(t[3])}),this)}var e=t.prototype;return e.set=function(t){return ld(this.options,t),t.touchAction&&this.touchAction.update(),t.inputTarget&&(this.input.destroy(),this.input.target=t.inputTarget,this.input.init()),this},e.stop=function(t){this.session.stopped=t?2:1},e.recognize=function(t){var e=this.session;if(!e.stopped){var r;this.touchAction.preventDefaults(t);var n=this.recognizers,i=e.curRecognizer;(!i||i&&8&i.state)&&(e.curRecognizer=null,i=null);for(var o=0;o<n.length;)r=n[o],2===e.stopped||i&&r!==i&&!r.canRecognizeWith(i)?r.reset():r.recognize(t),!i&&14&r.state&&(e.curRecognizer=r,i=r),o++}},e.get=function(t){if(t instanceof ly)return t;for(var e=this.recognizers,r=0;r<e.length;r++)if(e[r].options.event===t)return e[r];return null},e.add=function(t){if(uy(t,"add",this))return this;var e=this.get(t.options.event);return e&&this.remove(e),this.recognizers.push(t),t.manager=this,this.touchAction.update(),t},e.remove=function(t){if(uy(t,"remove",this))return this;var e=this.get(t);if(t){var r=this.recognizers,n=Ud(r,e);-1!==n&&(r.splice(n,1),this.touchAction.update())}return this},e.on=function(t,e){if(void 0===t||void 0===e)return this;var r=this.handlers;return kd(zd(t),(function(t){r[t]=r[t]||[],r[t].push(e)})),this},e.off=function(t,e){if(void 0===t)return this;var r=this.handlers;return kd(zd(t),(function(t){e?r[t]&&r[t].splice(Ud(r[t],e),1):delete r[t]})),this},e.emit=function(t,e){this.options.domEvents&&function(t,e){var r=document.createEvent("Event");r.initEvent(t,!0,!0),r.gesture=e,e.target.dispatchEvent(r)}(t,e);var r=this.handlers[t]&&this.handlers[t].slice();if(r&&r.length){e.type=t,e.preventDefault=function(){e.srcEvent.preventDefault()};for(var n=0;n<r.length;)r[n](e),n++}},e.destroy=function(){this.element&&Oy(this,!1),this.handlers={},this.session={},this.input.destroy(),this.element=null},t}(),xy={touchstart:1,touchmove:2,touchend:4,touchcancel:8},Ty=function(t){function e(){var r,n=e.prototype;return n.evTarget="touchstart",n.evWin="touchstart touchmove touchend touchcancel",(r=t.apply(this,arguments)||this).started=!1,r}return sd(e,t),e.prototype.handler=function(t){var e=xy[t.type];if(1===e&&(this.started=!0),this.started){var r=ky.call(this,t,e);12&e&&r[0].length-r[1].length==0&&(this.started=!1),this.callback(this.manager,e,{pointers:r[0],changedPointers:r[1],pointerType:"touch",srcEvent:t})}},e}(Xd);function ky(t,e){var r=Jd(t.touches),n=Jd(t.changedTouches);return 12&e&&(r=Kd(r.concat(n),"identifier",!0)),[r,n]}function Sy(t,e,r){var n="DEPRECATED METHOD: "+e+"\n"+r+" AT \n";return function(){var e=new Error("get-stack-trace"),r=e&&e.stack?e.stack.replace(/^[^\(]+?[\n$]/gm,"").replace(/^\s+at\s+/gm,"").replace(/^Object.<anonymous>\s*\(/gm,"{anonymous}()@"):"Unknown Stack Trace",i=window.console&&(window.console.warn||window.console.log);return i&&i.call(window.console,n,r),t.apply(this,arguments)}}var Ay=Sy((function(t,e,r){for(var n=Object.keys(e),i=0;i<n.length;)(!r||r&&void 0===t[n[i]])&&(t[n[i]]=e[n[i]]),i++;return t}),"extend","Use `assign`."),jy=Sy((function(t,e){return Ay(t,e,!0)}),"merge","Use `assign`.");function Py(t,e,r){var n,i=e.prototype;(n=t.prototype=Object.create(i)).constructor=t,n._super=i,r&&ld(n,r)}function Iy(t,e){return function(){return t.apply(e,arguments)}}var Dy=function(){var t=function(t,e){return void 0===e&&(e={}),new Ey(t,ud({recognizers:wy.concat()},e))};return t.VERSION="2.0.17-rc",t.DIRECTION_ALL=30,t.DIRECTION_DOWN=16,t.DIRECTION_LEFT=2,t.DIRECTION_RIGHT=4,t.DIRECTION_UP=8,t.DIRECTION_HORIZONTAL=6,t.DIRECTION_VERTICAL=24,t.DIRECTION_NONE=1,t.DIRECTION_DOWN=16,t.INPUT_START=1,t.INPUT_MOVE=2,t.INPUT_END=4,t.INPUT_CANCEL=8,t.STATE_POSSIBLE=1,t.STATE_BEGAN=2,t.STATE_CHANGED=4,t.STATE_ENDED=8,t.STATE_RECOGNIZED=8,t.STATE_CANCELLED=16,t.STATE_FAILED=32,t.Manager=Ey,t.Input=Xd,t.TouchAction=jd,t.TouchInput=Zd,t.MouseInput=ry,t.PointerEventInput=Bd,t.TouchMouseInput=ay,t.SingleTouchInput=Ty,t.Recognizer=ly,t.AttrRecognizer=py,t.Tap=hy,t.Pan=dy,t.Swipe=yy,t.Pinch=gy,t.Rotate=my,t.Press=by,t.on=qd,t.off=Yd,t.each=kd,t.merge=jy,t.extend=Ay,t.bindFn=Iy,t.assign=ld,t.inherit=Py,t.bindFn=Iy,t.prefixed=gd,t.toArray=Jd,t.inArray=Ud,t.uniqueArray=Kd,t.splitStr=zd,t.boolOrFn=Sd,t.hasParent=Pd,t.addEventListeners=qd,t.removeEventListeners=Yd,t.defaults=ld({},_y,{preset:wy}),t}();function Ly(t,e){var r=void 0!==ch&&$s(t)||t["@@iterator"];if(!r){if(gh(t)||(r=function(t,e){var r;if(!t)return;if("string"==typeof t)return Cy(t,e);var n=dh(r=Object.prototype.toString.call(t)).call(r,8,-1);"Object"===n&&t.constructor&&(n=t.constructor.name);if("Map"===n||"Set"===n)return Is(t);if("Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return Cy(t,e)}(t))||e&&t&&"number"==typeof t.length){r&&(t=r);var n=0,i=function(){};return{s:i,n:function(){return n>=t.length?{done:!0}:{done:!1,value:t[n++]}},e:function(t){throw t},f:i}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,a=!0,u=!1;return{s:function(){r=r.call(t)},n:function(){var t=r.next();return a=t.done,t},e:function(t){u=!0,o=t},f:function(){try{a||null==r.return||r.return()}finally{if(u)throw o}}}}function Cy(t,e){(null==e||e>t.length)&&(e=t.length);for(var r=0,n=new Array(e);r<e;r++)n[r]=t[r];return n}var Ry=ch("DELETE");function My(){var t=Fy.apply(void 0,arguments);return zy(t),t}function Fy(){for(var t=arguments.length,e=new Array(t),r=0;r<t;r++)e[r]=arguments[r];if(e.length<2)return e[0];var n;if(e.length>2)return Fy.apply(void 0,vh(n=[My(e[0],e[1])]).call(n,sh(dh(e).call(e,2))));var i,o=e[0],a=e[1],u=Ly(yh(a));try{for(u.s();!(i=u.n()).done;){var s=i.value;Object.prototype.propertyIsEnumerable.call(a,s)&&(a[s]===Ry?delete o[s]:null===o[s]||null===a[s]||"object"!==uh(o[s])||"object"!==uh(a[s])||gh(o[s])||gh(a[s])?o[s]=Ny(a[s]):o[s]=Fy(o[s],a[s]))}}catch(t){u.e(t)}finally{u.f()}return o}function Ny(t){return gh(t)?Pi(t).call(t,(function(t){return Ny(t)})):"object"===uh(t)&&null!==t?Fy({},t):t}function zy(t){for(var e=0,r=_h(t);e<r.length;e++){var n=r[e];t[n]===Ry?delete t[n]:"object"===uh(t[n])&&null!==t[n]&&zy(t[n])}}var qy="undefined"!=typeof window?window.Hammer||Dy:function(){return function(){var t=function(){};return{on:t,off:t,destroy:t,emit:t,get:function(){return{set:t}}}}()};function Yy(t){var e,r=this;this._cleanupQueue=[],this.active=!1,this._dom={container:t,overlay:document.createElement("div")},this._dom.overlay.classList.add("vis-overlay"),this._dom.container.appendChild(this._dom.overlay),this._cleanupQueue.push((function(){r._dom.overlay.parentNode.removeChild(r._dom.overlay)}));var n=qy(this._dom.overlay);n.on("tap",Jr(e=this._onTapOverlay).call(e,this)),this._cleanupQueue.push((function(){n.destroy()}));var i=["tap","doubletap","press","pinch","pan","panstart","panmove","panend"];Ch(i).call(i,(function(t){n.on(t,(function(t){t.srcEvent.stopPropagation()}))})),document&&document.body&&(this._onClick=function(e){(function(t,e){for(;t;){if(t===e)return!0;t=t.parentNode}return!1})(e.target,t)||r.deactivate()},document.body.addEventListener("click",this._onClick),this._cleanupQueue.push((function(){document.body.removeEventListener("click",r._onClick)}))),this._escListener=function(t){("key"in t?"Escape"===t.key:27===t.keyCode)&&r.deactivate()}}ad(Yy.prototype),Yy.current=null,Yy.prototype.destroy=function(){var t,e;this.deactivate();var r,n=Ly(Xh(t=ap(e=this._cleanupQueue).call(e,0)).call(t));try{for(n.s();!(r=n.n()).done;){(0,r.value)()}}catch(t){n.e(t)}finally{n.f()}},Yy.prototype.activate=function(){Yy.current&&Yy.current.deactivate(),Yy.current=this,this.active=!0,this._dom.overlay.style.display="none",this._dom.container.classList.add("vis-active"),this.emit("change"),this.emit("activate"),document.body.addEventListener("keydown",this._escListener)},Yy.prototype.deactivate=function(){this.active=!1,this._dom.overlay.style.display="block",this._dom.container.classList.remove("vis-active"),document.body.removeEventListener("keydown",this._escListener),this.emit("change"),this.emit("deactivate")},Yy.prototype._onTapOverlay=function(t){this.activate(),t.srcEvent.stopPropagation()};var Gy=Qn,Xy=_t,Uy=i.TypeError,Wy=br,Vy=l,Hy=Gr,$y=function(t){if(Gy(t))return t;throw Uy(Xy(t)+" is not a constructor")},By=Je,Jy=H,Ky=Ia,Qy=o,Zy=Z("Reflect","construct"),tg=Object.prototype,eg=[].push,rg=Qy((function(){function t(){}return!(Zy((function(){}),[],t)instanceof t)})),ng=!Qy((function(){Zy((function(){}))})),ig=rg||ng;Wy({target:"Reflect",stat:!0,forced:ig,sham:ig},{construct:function(t,e){$y(t),By(e);var r=arguments.length<3?t:$y(arguments[2]);if(ng&&!rg)return Zy(t,e,r);if(t==r){switch(e.length){case 0:return new t;case 1:return new t(e[0]);case 2:return new t(e[0],e[1]);case 3:return new t(e[0],e[1],e[2]);case 4:return new t(e[0],e[1],e[2],e[3])}var n=[null];return Vy(eg,n,e),new(Vy(Hy,t,n))}var i=r.prototype,o=Ky(Jy(i)?i:tg),a=Vy(t,o,e);return Jy(a)?a:o}});var og=$.Reflect.construct;function ag(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t}var ug=Ev;br({target:"Object",stat:!0},{setPrototypeOf:Ou});var sg=$.Object.setPrototypeOf;function cg(t,e){return cg=sg||function(t,e){return t.__proto__=e,t},cg(t,e)}function fg(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function");t.prototype=ug(e&&e.prototype,{constructor:{value:t,writable:!0,configurable:!0}}),kr(t,"prototype",{writable:!1}),e&&cg(t,e)}function lg(t,e){if(e&&("object"===uh(e)||"function"==typeof e))return e;if(void 0!==e)throw new TypeError("Derived constructors may only return object or undefined");return ag(t)}var hg=Np;function pg(t){return pg=sg?hg:function(t){return t.__proto__||hg(t)},pg(t)}var vg={exports:{}};!function(t){var e=function(t){var e,r=Object.prototype,n=r.hasOwnProperty,i="function"==typeof Symbol?Symbol:{},o=i.iterator||"@@iterator",a=i.asyncIterator||"@@asyncIterator",u=i.toStringTag||"@@toStringTag";function s(t,e,r){return Object.defineProperty(t,e,{value:r,enumerable:!0,configurable:!0,writable:!0}),t[e]}try{s({},"")}catch(t){s=function(t,e,r){return t[e]=r}}function c(t,e,r,n){var i=e&&e.prototype instanceof y?e:y,o=Object.create(i.prototype),a=new A(n||[]);return o._invoke=function(t,e,r){var n=l;return function(i,o){if(n===p)throw new Error("Generator is already running");if(n===v){if("throw"===i)throw o;return P()}for(r.method=i,r.arg=o;;){var a=r.delegate;if(a){var u=T(a,r);if(u){if(u===d)continue;return u}}if("next"===r.method)r.sent=r._sent=r.arg;else if("throw"===r.method){if(n===l)throw n=v,r.arg;r.dispatchException(r.arg)}else"return"===r.method&&r.abrupt("return",r.arg);n=p;var s=f(t,e,r);if("normal"===s.type){if(n=r.done?v:h,s.arg===d)continue;return{value:s.arg,done:r.done}}"throw"===s.type&&(n=v,r.method="throw",r.arg=s.arg)}}}(t,r,a),o}function f(t,e,r){try{return{type:"normal",arg:t.call(e,r)}}catch(t){return{type:"throw",arg:t}}}t.wrap=c;var l="suspendedStart",h="suspendedYield",p="executing",v="completed",d={};function y(){}function g(){}function m(){}var b={};s(b,o,(function(){return this}));var _=Object.getPrototypeOf,w=_&&_(_(j([])));w&&w!==r&&n.call(w,o)&&(b=w);var O=m.prototype=y.prototype=Object.create(b);function E(t){["next","throw","return"].forEach((function(e){s(t,e,(function(t){return this._invoke(e,t)}))}))}function x(t,e){function r(i,o,a,u){var s=f(t[i],t,o);if("throw"!==s.type){var c=s.arg,l=c.value;return l&&"object"==typeof l&&n.call(l,"__await")?e.resolve(l.__await).then((function(t){r("next",t,a,u)}),(function(t){r("throw",t,a,u)})):e.resolve(l).then((function(t){c.value=t,a(c)}),(function(t){return r("throw",t,a,u)}))}u(s.arg)}var i;this._invoke=function(t,n){function o(){return new e((function(e,i){r(t,n,e,i)}))}return i=i?i.then(o,o):o()}}function T(t,r){var n=t.iterator[r.method];if(n===e){if(r.delegate=null,"throw"===r.method){if(t.iterator.return&&(r.method="return",r.arg=e,T(t,r),"throw"===r.method))return d;r.method="throw",r.arg=new TypeError("The iterator does not provide a 'throw' method")}return d}var i=f(n,t.iterator,r.arg);if("throw"===i.type)return r.method="throw",r.arg=i.arg,r.delegate=null,d;var o=i.arg;return o?o.done?(r[t.resultName]=o.value,r.next=t.nextLoc,"return"!==r.method&&(r.method="next",r.arg=e),r.delegate=null,d):o:(r.method="throw",r.arg=new TypeError("iterator result is not an object"),r.delegate=null,d)}function k(t){var e={tryLoc:t[0]};1 in t&&(e.catchLoc=t[1]),2 in t&&(e.finallyLoc=t[2],e.afterLoc=t[3]),this.tryEntries.push(e)}function S(t){var e=t.completion||{};e.type="normal",delete e.arg,t.completion=e}function A(t){this.tryEntries=[{tryLoc:"root"}],t.forEach(k,this),this.reset(!0)}function j(t){if(t){var r=t[o];if(r)return r.call(t);if("function"==typeof t.next)return t;if(!isNaN(t.length)){var i=-1,a=function r(){for(;++i<t.length;)if(n.call(t,i))return r.value=t[i],r.done=!1,r;return r.value=e,r.done=!0,r};return a.next=a}}return{next:P}}function P(){return{value:e,done:!0}}return g.prototype=m,s(O,"constructor",m),s(m,"constructor",g),g.displayName=s(m,u,"GeneratorFunction"),t.isGeneratorFunction=function(t){var e="function"==typeof t&&t.constructor;return!!e&&(e===g||"GeneratorFunction"===(e.displayName||e.name))},t.mark=function(t){return Object.setPrototypeOf?Object.setPrototypeOf(t,m):(t.__proto__=m,s(t,u,"GeneratorFunction")),t.prototype=Object.create(O),t},t.awrap=function(t){return{__await:t}},E(x.prototype),s(x.prototype,a,(function(){return this})),t.AsyncIterator=x,t.async=function(e,r,n,i,o){void 0===o&&(o=Promise);var a=new x(c(e,r,n,i),o);return t.isGeneratorFunction(r)?a:a.next().then((function(t){return t.done?t.value:a.next()}))},E(O),s(O,u,"Generator"),s(O,o,(function(){return this})),s(O,"toString",(function(){return"[object Generator]"})),t.keys=function(t){var e=[];for(var r in t)e.push(r);return e.reverse(),function r(){for(;e.length;){var n=e.pop();if(n in t)return r.value=n,r.done=!1,r}return r.done=!0,r}},t.values=j,A.prototype={constructor:A,reset:function(t){if(this.prev=0,this.next=0,this.sent=this._sent=e,this.done=!1,this.delegate=null,this.method="next",this.arg=e,this.tryEntries.forEach(S),!t)for(var r in this)"t"===r.charAt(0)&&n.call(this,r)&&!isNaN(+r.slice(1))&&(this[r]=e)},stop:function(){this.done=!0;var t=this.tryEntries[0].completion;if("throw"===t.type)throw t.arg;return this.rval},dispatchException:function(t){if(this.done)throw t;var r=this;function i(n,i){return u.type="throw",u.arg=t,r.next=n,i&&(r.method="next",r.arg=e),!!i}for(var o=this.tryEntries.length-1;o>=0;--o){var a=this.tryEntries[o],u=a.completion;if("root"===a.tryLoc)return i("end");if(a.tryLoc<=this.prev){var s=n.call(a,"catchLoc"),c=n.call(a,"finallyLoc");if(s&&c){if(this.prev<a.catchLoc)return i(a.catchLoc,!0);if(this.prev<a.finallyLoc)return i(a.finallyLoc)}else if(s){if(this.prev<a.catchLoc)return i(a.catchLoc,!0)}else{if(!c)throw new Error("try statement without catch or finally");if(this.prev<a.finallyLoc)return i(a.finallyLoc)}}}},abrupt:function(t,e){for(var r=this.tryEntries.length-1;r>=0;--r){var i=this.tryEntries[r];if(i.tryLoc<=this.prev&&n.call(i,"finallyLoc")&&this.prev<i.finallyLoc){var o=i;break}}o&&("break"===t||"continue"===t)&&o.tryLoc<=e&&e<=o.finallyLoc&&(o=null);var a=o?o.completion:{};return a.type=t,a.arg=e,o?(this.method="next",this.next=o.finallyLoc,d):this.complete(a)},complete:function(t,e){if("throw"===t.type)throw t.arg;return"break"===t.type||"continue"===t.type?this.next=t.arg:"return"===t.type?(this.rval=this.arg=t.arg,this.method="return",this.next="end"):"normal"===t.type&&e&&(this.next=e),d},finish:function(t){for(var e=this.tryEntries.length-1;e>=0;--e){var r=this.tryEntries[e];if(r.finallyLoc===t)return this.complete(r.completion,r.afterLoc),S(r),d}},catch:function(t){for(var e=this.tryEntries.length-1;e>=0;--e){var r=this.tryEntries[e];if(r.tryLoc===t){var n=r.completion;if("throw"===n.type){var i=n.arg;S(r)}return i}}throw new Error("illegal catch attempt")},delegateYield:function(t,r,n){return this.delegate={iterator:j(t),resultName:r,nextLoc:n},"next"===this.method&&(this.arg=e),d}},t}(t.exports);try{regeneratorRuntime=e}catch(t){"object"==typeof globalThis?globalThis.regeneratorRuntime=e:Function("r","regeneratorRuntime = r")(e)}}(vg);var dg=vg.exports,yg={exports:{}},gg=o((function(){if("function"==typeof ArrayBuffer){var t=new ArrayBuffer(8);Object.isExtensible(t)&&Object.defineProperty(t,"a",{value:8})}})),mg=o,bg=H,_g=C,wg=gg,Og=Object.isExtensible,Eg=mg((function(){Og(1)}))||wg?function(t){return!!bg(t)&&((!wg||"ArrayBuffer"!=_g(t))&&(!Og||Og(t)))}:Og,xg=!o((function(){return Object.isExtensible(Object.preventExtensions({}))})),Tg=br,kg=g,Sg=bo,Ag=H,jg=Gt,Pg=Ue.f,Ig=Bs,Dg=Qs,Lg=Eg,Cg=xg,Rg=!1,Mg=Ht("meta"),Fg=0,Ng=function(t){Pg(t,Mg,{value:{objectID:"O"+Fg++,weakData:{}}})},zg=yg.exports={enable:function(){zg.enable=function(){},Rg=!0;var t=Ig.f,e=kg([].splice),r={};r[Mg]=1,t(r).length&&(Ig.f=function(r){for(var n=t(r),i=0,o=n.length;i<o;i++)if(n[i]===Mg){e(n,i,1);break}return n},Tg({target:"Object",stat:!0,forced:!0},{getOwnPropertyNames:Dg.f}))},fastKey:function(t,e){if(!Ag(t))return"symbol"==typeof t?t:("string"==typeof t?"S":"P")+t;if(!jg(t,Mg)){if(!Lg(t))return"F";if(!e)return"E";Ng(t)}return t[Mg].objectID},getWeakData:function(t,e){if(!jg(t,Mg)){if(!Lg(t))return!0;if(!e)return!1;Ng(t)}return t[Mg].weakData},onFreeze:function(t){return Cg&&Rg&&Lg(t)&&!jg(t,Mg)&&Ng(t),t}};Sg[Mg]=!0;var qg=Xe,Yg=E,Gg=Je,Xg=_t,Ug=Ju,Wg=nn,Vg=tt,Hg=hs,$g=os,Bg=Uu,Jg=i.TypeError,Kg=function(t,e){this.stopped=t,this.result=e},Qg=Kg.prototype,Zg=function(t,e,r){var n,i,o,a,u,s,c,f=r&&r.that,l=!(!r||!r.AS_ENTRIES),h=!(!r||!r.IS_ITERATOR),p=!(!r||!r.INTERRUPTED),v=qg(e,f),d=function(t){return n&&Bg(n,"normal",t),new Kg(!0,t)},y=function(t){return l?(Gg(t),p?v(t[0],t[1],d):v(t[0],t[1])):p?v(t,d):v(t)};if(h)n=t;else{if(!(i=$g(t)))throw Jg(Xg(t)+" is not iterable");if(Ug(i)){for(o=0,a=Wg(t);a>o;o++)if((u=y(t[o]))&&Vg(Qg,u))return u;return new Kg(!1)}n=Hg(t,i)}for(s=n.next;!(c=Yg(s,n)).done;){try{u=y(c.value)}catch(t){Bg(n,"throw",t)}if("object"==typeof u&&u&&Vg(Qg,u))return u}return new Kg(!1)},tm=tt,em=i.TypeError,rm=function(t,e){if(tm(e,t))return t;throw em("Incorrect invocation")},nm=br,im=i,om=yg.exports,am=o,um=ur,sm=Zg,cm=rm,fm=m,lm=H,hm=uu,pm=Ue.f,vm=vi.forEach,dm=_,ym=Mo.set,gm=Mo.getterFor,mm=function(t,e,r){var n,i=-1!==t.indexOf("Map"),o=-1!==t.indexOf("Weak"),a=i?"set":"add",u=im[t],s=u&&u.prototype,c={};if(dm&&fm(u)&&(o||s.forEach&&!am((function(){(new u).entries().next()})))){var f=(n=e((function(e,r){ym(cm(e,f),{type:t,collection:new u}),null!=r&&sm(r,e[a],{that:e,AS_ENTRIES:i})}))).prototype,l=gm(t);vm(["add","clear","delete","forEach","get","has","set","keys","values","entries"],(function(t){var e="add"==t||"set"==t;!(t in s)||o&&"clear"==t||um(f,t,(function(r,n){var i=l(this).collection;if(!e&&o&&!lm(r))return"get"==t&&void 0;var a=i[t](0===r?0:r,n);return e?this:a}))})),o||pm(f,"size",{configurable:!0,get:function(){return l(this).collection.size}})}else n=r.getConstructor(e,t,i,a),om.enable();return hm(n,t,!1,!0),c[t]=n,nm({global:!0,forced:!0},c),o||r.setStrong(n,t,i),n},bm=Xa,_m=Z,wm=Ue,Om=_,Em=ie("species"),xm=Ue.f,Tm=Ia,km=function(t,e,r){for(var n in e)r&&r.unsafe&&t[n]?t[n]=e[n]:bm(t,n,e[n],r);return t},Sm=Xe,Am=rm,jm=Zg,Pm=Cu,Im=function(t){var e=_m(t),r=wm.f;Om&&e&&!e[Em]&&r(e,Em,{configurable:!0,get:function(){return this}})},Dm=_,Lm=yg.exports.fastKey,Cm=Mo.set,Rm=Mo.getterFor,Mm={getConstructor:function(t,e,r,n){var i=t((function(t,i){Am(t,o),Cm(t,{type:e,index:Tm(null),first:void 0,last:void 0,size:0}),Dm||(t.size=0),null!=i&&jm(i,t[n],{that:t,AS_ENTRIES:r})})),o=i.prototype,a=Rm(e),u=function(t,e,r){var n,i,o=a(t),u=s(t,e);return u?u.value=r:(o.last=u={index:i=Lm(e,!0),key:e,value:r,previous:n=o.last,next:void 0,removed:!1},o.first||(o.first=u),n&&(n.next=u),Dm?o.size++:t.size++,"F"!==i&&(o.index[i]=u)),t},s=function(t,e){var r,n=a(t),i=Lm(e);if("F"!==i)return n.index[i];for(r=n.first;r;r=r.next)if(r.key==e)return r};return km(o,{clear:function(){for(var t=a(this),e=t.index,r=t.first;r;)r.removed=!0,r.previous&&(r.previous=r.previous.next=void 0),delete e[r.index],r=r.next;t.first=t.last=void 0,Dm?t.size=0:this.size=0},delete:function(t){var e=this,r=a(e),n=s(e,t);if(n){var i=n.next,o=n.previous;delete r.index[n.index],n.removed=!0,o&&(o.next=i),i&&(i.previous=o),r.first==n&&(r.first=i),r.last==n&&(r.last=o),Dm?r.size--:e.size--}return!!n},forEach:function(t){for(var e,r=a(this),n=Sm(t,arguments.length>1?arguments[1]:void 0);e=e?e.next:r.first;)for(n(e.value,e.key,this);e&&e.removed;)e=e.previous},has:function(t){return!!s(this,t)}}),km(o,r?{get:function(t){var e=s(this,t);return e&&e.value},set:function(t,e){return u(this,0===t?0:t,e)}}:{add:function(t){return u(this,t=0===t?0:t,t)}}),Dm&&xm(o,"size",{get:function(){return a(this).size}}),i},setStrong:function(t,e,r){var n=e+" Iterator",i=Rm(e),o=Rm(n);Pm(t,e,(function(t,e){Cm(this,{type:n,target:t,state:i(t),kind:e,last:void 0})}),(function(){for(var t=o(this),e=t.kind,r=t.last;r&&r.removed;)r=r.previous;return t.target&&(t.last=r=r?r.next:t.state.first)?"keys"==e?{value:r.key,done:!1}:"values"==e?{value:r.value,done:!1}:{value:[r.key,r.value],done:!1}:(t.target=void 0,{value:void 0,done:!0})}),r?"entries":"values",!r,!0),Im(e)}};mm("Map",(function(t){return function(){return t(this,arguments.length?arguments[0]:void 0)}}),Mm);var Fm=$.Map,Nm=vi.some;br({target:"Array",proto:!0,forced:!pn("some")},{some:function(t){return Nm(this,t,arguments.length>1?arguments[1]:void 0)}});var zm=Wr("Array").some,qm=tt,Ym=zm,Gm=Array.prototype,Xm=function(t){var e=t.some;return t===Gm||qm(Gm,t)&&e===Gm.some?Ym:e},Um=Wr("Array").keys,Wm=Cn,Vm=Gt,Hm=tt,$m=Um,Bm=Array.prototype,Jm={DOMTokenList:!0,NodeList:!0},Km=function(t){var e=t.keys;return t===Bm||Hm(Bm,t)&&e===Bm.keys||Vm(Jm,Wm(t))?$m:e},Qm=ic,Zm=Math.floor,tb=function(t,e){var r=t.length,n=Zm(r/2);return r<8?eb(t,e):rb(t,tb(Qm(t,0,n),e),tb(Qm(t,n),e),e)},eb=function(t,e){for(var r,n,i=t.length,o=1;o<i;){for(n=o,r=t[o];n&&e(t[n-1],r)>0;)t[n]=t[--n];n!==o++&&(t[n]=r)}return t},rb=function(t,e,r,n){for(var i=e.length,o=r.length,a=0,u=0;a<i||u<o;)t[a+u]=a<i&&u<o?n(e[a],r[u])<=0?e[a++]:r[u++]:a<i?e[a++]:r[u++];return t},nb=tb,ib=et.match(/firefox\/(\d+)/i),ob=!!ib&&+ib[1],ab=/MSIE|Trident/.test(et),ub=et.match(/AppleWebKit\/(\d+)\./),sb=!!ub&&+ub[1],cb=br,fb=g,lb=xt,hb=zt,pb=nn,vb=to,db=o,yb=nb,gb=pn,mb=ob,bb=ab,_b=st,wb=sb,Ob=[],Eb=fb(Ob.sort),xb=fb(Ob.push),Tb=db((function(){Ob.sort(void 0)})),kb=db((function(){Ob.sort(null)})),Sb=gb("sort"),Ab=!db((function(){if(_b)return _b<70;if(!(mb&&mb>3)){if(bb)return!0;if(wb)return wb<603;var t,e,r,n,i="";for(t=65;t<76;t++){switch(e=String.fromCharCode(t),t){case 66:case 69:case 70:case 72:r=3;break;case 68:case 71:r=4;break;default:r=2}for(n=0;n<47;n++)Ob.push({k:e+n,v:r})}for(Ob.sort((function(t,e){return e.v-t.v})),n=0;n<Ob.length;n++)e=Ob[n].k.charAt(0),i.charAt(i.length-1)!==e&&(i+=e);return"DGBEFHACIJK"!==i}}));cb({target:"Array",proto:!0,forced:Tb||!kb||!Sb||!Ab},{sort:function(t){void 0!==t&&lb(t);var e=hb(this);if(Ab)return void 0===t?Eb(e):Eb(e,t);var r,n,i=[],o=pb(e);for(n=0;n<o;n++)n in e&&xb(i,e[n]);for(yb(i,function(t){return function(e,r){return void 0===r?-1:void 0===e?1:void 0!==t?+t(e,r)||0:vb(e)>vb(r)?1:-1}}(t)),r=i.length,n=0;n<r;)e[n]=i[n++];for(;n<o;)delete e[n++];return e}});var jb,Pb=Wr("Array").sort,Ib=tt,Db=Pb,Lb=Array.prototype,Cb=function(t){var e=t.sort;return t===Lb||Ib(Lb,t)&&e===Lb.sort?Db:e},Rb=Wr("Array").values,Mb=Cn,Fb=Gt,Nb=tt,zb=Rb,qb=Array.prototype,Yb={DOMTokenList:!0,NodeList:!0},Gb=function(t){var e=t.values;return t===qb||Nb(qb,t)&&e===qb.values||Fb(Yb,Mb(t))?zb:e},Xb=oh,Ub=Wr("Array").entries,Wb=Cn,Vb=Gt,Hb=tt,$b=Ub,Bb=Array.prototype,Jb={DOMTokenList:!0,NodeList:!0},Kb=function(t){var e=t.entries;return t===Bb||Hb(Bb,t)&&e===Bb.entries||Vb(Jb,Wb(t))?$b:e},Qb=new Uint8Array(16);function Zb(){if(!jb&&!(jb="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto)||"undefined"!=typeof msCrypto&&"function"==typeof msCrypto.getRandomValues&&msCrypto.getRandomValues.bind(msCrypto)))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return jb(Qb)}var t_=/^(?:[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}|00000000-0000-0000-0000-000000000000)$/i;function e_(t){return"string"==typeof t&&t_.test(t)}for(var r_=[],n_=0;n_<256;++n_)r_.push((n_+256).toString(16).substr(1));function i_(t,e,r){var n=(t=t||{}).random||(t.rng||Zb)();if(n[6]=15&n[6]|64,n[8]=63&n[8]|128,e){r=r||0;for(var i=0;i<16;++i)e[r+i]=n[i];return e}return function(t){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,r=(r_[t[e+0]]+r_[t[e+1]]+r_[t[e+2]]+r_[t[e+3]]+"-"+r_[t[e+4]]+r_[t[e+5]]+"-"+r_[t[e+6]]+r_[t[e+7]]+"-"+r_[t[e+8]]+r_[t[e+9]]+"-"+r_[t[e+10]]+r_[t[e+11]]+r_[t[e+12]]+r_[t[e+13]]+r_[t[e+14]]+r_[t[e+15]]).toLowerCase();if(!e_(r))throw TypeError("Stringified UUID is invalid");return r}(n)}function o_(t){return"string"==typeof t||"number"==typeof t}var a_=function(){function e(r){t(this,e),jr(this,"delay",void 0),jr(this,"max",void 0),jr(this,"_queue",[]),jr(this,"_timeout",null),jr(this,"_extended",null),this.delay=null,this.max=1/0,this.setOptions(r)}return Ar(e,[{key:"setOptions",value:function(t){t&&void 0!==t.delay&&(this.delay=t.delay),t&&void 0!==t.max&&(this.max=t.max),this._flushIfNeeded()}},{key:"destroy",value:function(){if(this.flush(),this._extended){for(var t=this._extended.object,e=this._extended.methods,r=0;r<e.length;r++){var n=e[r];n.original?t[n.name]=n.original:delete t[n.name]}this._extended=null}}},{key:"replace",value:function(t,e){var r=this,n=t[e];if(!n)throw new Error("Method "+e+" undefined");t[e]=function(){for(var t=arguments.length,e=new Array(t),i=0;i<t;i++)e[i]=arguments[i];r.queue({args:e,fn:n,context:this})}}},{key:"queue",value:function(t){"function"==typeof t?this._queue.push({fn:t}):this._queue.push(t),this._flushIfNeeded()}},{key:"_flushIfNeeded",value:function(){var t=this;this._queue.length>this.max&&this.flush(),null!=this._timeout&&(clearTimeout(this._timeout),this._timeout=null),this.queue.length>0&&"number"==typeof this.delay&&(this._timeout=ed((function(){t.flush()}),this.delay))}},{key:"flush",value:function(){var t,e;Ch(t=ap(e=this._queue).call(e,0)).call(t,(function(t){t.fn.apply(t.context||t.fn,t.args||[])}))}}],[{key:"extend",value:function(t,r){var n=new e(r);if(void 0!==t.flush)throw new Error("Target object already has a property flush");t.flush=function(){n.flush()};var i=[{name:"flush",original:void 0}];if(r&&r.replace)for(var o=0;o<r.replace.length;o++){var a=r.replace[o];i.push({name:a,original:t[a]}),n.replace(t,a)}return n._extended={object:t,methods:i},n}}]),e}(),u_=function(){function e(){t(this,e),jr(this,"_subscribers",{"*":[],add:[],remove:[],update:[]}),jr(this,"subscribe",e.prototype.on),jr(this,"unsubscribe",e.prototype.off)}return Ar(e,[{key:"_trigger",value:function(t,e,r){var n,i;if("*"===t)throw new Error("Cannot trigger event *");Ch(n=vh(i=[]).call(i,sh(this._subscribers[t]),sh(this._subscribers["*"]))).call(n,(function(n){n(t,e,null!=r?r:null)}))}},{key:"on",value:function(t,e){"function"==typeof e&&this._subscribers[t].push(e)}},{key:"off",value:function(t,e){var r;this._subscribers[t]=xi(r=this._subscribers[t]).call(r,(function(t){return t!==e}))}}]),e}();mm("Set",(function(t){return function(){return t(this,arguments.length?arguments[0]:void 0)}}),Mm);var s_,c_=$.Set,f_=hs;function l_(t,e){var r=void 0!==ch&&$s(t)||t["@@iterator"];if(!r){if(gh(t)||(r=function(t,e){var r;if(!t)return;if("string"==typeof t)return h_(t,e);var n=dh(r=Object.prototype.toString.call(t)).call(r,8,-1);"Object"===n&&t.constructor&&(n=t.constructor.name);if("Map"===n||"Set"===n)return Is(t);if("Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return h_(t,e)}(t))||e&&t&&"number"==typeof t.length){r&&(t=r);var n=0,i=function(){};return{s:i,n:function(){return n>=t.length?{done:!0}:{done:!1,value:t[n++]}},e:function(t){throw t},f:i}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,a=!0,u=!1;return{s:function(){r=r.call(t)},n:function(){var t=r.next();return a=t.done,t},e:function(t){u=!0,o=t},f:function(){try{a||null==r.return||r.return()}finally{if(u)throw o}}}}function h_(t,e){(null==e||e>t.length)&&(e=t.length);for(var r=0,n=new Array(e);r<e;r++)n[r]=t[r];return n}s_=Xb;var p_=function(){function e(r){t(this,e),jr(this,"_pairs",void 0),this._pairs=r}return Ar(e,[{key:s_,value:dg.mark((function t(){var e,r,n,i,o;return dg.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:e=l_(this._pairs),t.prev=1,e.s();case 3:if((r=e.n()).done){t.next=9;break}return n=ih(r.value,2),i=n[0],o=n[1],t.next=7,[i,o];case 7:t.next=3;break;case 9:t.next=14;break;case 11:t.prev=11,t.t0=t.catch(1),e.e(t.t0);case 14:return t.prev=14,e.f(),t.finish(14);case 17:case"end":return t.stop()}}),t,this,[[1,11,14,17]])}))},{key:"entries",value:dg.mark((function t(){var e,r,n,i,o;return dg.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:e=l_(this._pairs),t.prev=1,e.s();case 3:if((r=e.n()).done){t.next=9;break}return n=ih(r.value,2),i=n[0],o=n[1],t.next=7,[i,o];case 7:t.next=3;break;case 9:t.next=14;break;case 11:t.prev=11,t.t0=t.catch(1),e.e(t.t0);case 14:return t.prev=14,e.f(),t.finish(14);case 17:case"end":return t.stop()}}),t,this,[[1,11,14,17]])}))},{key:"keys",value:dg.mark((function t(){var e,r,n,i;return dg.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:e=l_(this._pairs),t.prev=1,e.s();case 3:if((r=e.n()).done){t.next=9;break}return n=ih(r.value,1),i=n[0],t.next=7,i;case 7:t.next=3;break;case 9:t.next=14;break;case 11:t.prev=11,t.t0=t.catch(1),e.e(t.t0);case 14:return t.prev=14,e.f(),t.finish(14);case 17:case"end":return t.stop()}}),t,this,[[1,11,14,17]])}))},{key:"values",value:dg.mark((function t(){var e,r,n,i;return dg.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:e=l_(this._pairs),t.prev=1,e.s();case 3:if((r=e.n()).done){t.next=9;break}return n=ih(r.value,2),i=n[1],t.next=7,i;case 7:t.next=3;break;case 9:t.next=14;break;case 11:t.prev=11,t.t0=t.catch(1),e.e(t.t0);case 14:return t.prev=14,e.f(),t.finish(14);case 17:case"end":return t.stop()}}),t,this,[[1,11,14,17]])}))},{key:"toIdArray",value:function(){var t;return Pi(t=sh(this._pairs)).call(t,(function(t){return t[0]}))}},{key:"toItemArray",value:function(){var t;return Pi(t=sh(this._pairs)).call(t,(function(t){return t[1]}))}},{key:"toEntryArray",value:function(){return sh(this._pairs)}},{key:"toObjectMap",value:function(){var t,e=xv(null),r=l_(this._pairs);try{for(r.s();!(t=r.n()).done;){var n=ih(t.value,2),i=n[0],o=n[1];e[i]=o}}catch(t){r.e(t)}finally{r.f()}return e}},{key:"toMap",value:function(){return new Fm(this._pairs)}},{key:"toIdSet",value:function(){return new c_(this.toIdArray())}},{key:"toItemSet",value:function(){return new c_(this.toItemArray())}},{key:"cache",value:function(){return new e(sh(this._pairs))}},{key:"distinct",value:function(t){var e,r=new c_,n=l_(this._pairs);try{for(n.s();!(e=n.n()).done;){var i=ih(e.value,2),o=i[0],a=i[1];r.add(t(a,o))}}catch(t){n.e(t)}finally{n.f()}return r}},{key:"filter",value:function(t){var r=this._pairs;return new e(jr({},Xb,dg.mark((function e(){var n,i,o,a,u;return dg.wrap((function(e){for(;;)switch(e.prev=e.next){case 0:n=l_(r),e.prev=1,n.s();case 3:if((i=n.n()).done){e.next=10;break}if(o=ih(i.value,2),a=o[0],u=o[1],!t(u,a)){e.next=8;break}return e.next=8,[a,u];case 8:e.next=3;break;case 10:e.next=15;break;case 12:e.prev=12,e.t0=e.catch(1),n.e(e.t0);case 15:return e.prev=15,n.f(),e.finish(15);case 18:case"end":return e.stop()}}),e,null,[[1,12,15,18]])}))))}},{key:"forEach",value:function(t){var e,r=l_(this._pairs);try{for(r.s();!(e=r.n()).done;){var n=ih(e.value,2),i=n[0];t(n[1],i)}}catch(t){r.e(t)}finally{r.f()}}},{key:"map",value:function(t){var r=this._pairs;return new e(jr({},Xb,dg.mark((function e(){var n,i,o,a,u;return dg.wrap((function(e){for(;;)switch(e.prev=e.next){case 0:n=l_(r),e.prev=1,n.s();case 3:if((i=n.n()).done){e.next=9;break}return o=ih(i.value,2),a=o[0],u=o[1],e.next=7,[a,t(u,a)];case 7:e.next=3;break;case 9:e.next=14;break;case 11:e.prev=11,e.t0=e.catch(1),n.e(e.t0);case 14:return e.prev=14,n.f(),e.finish(14);case 17:case"end":return e.stop()}}),e,null,[[1,11,14,17]])}))))}},{key:"max",value:function(t){var e=f_(this._pairs),r=e.next();if(r.done)return null;for(var n=r.value[1],i=t(r.value[1],r.value[0]);!(r=e.next()).done;){var o=ih(r.value,2),a=o[0],u=o[1],s=t(u,a);s>i&&(i=s,n=u)}return n}},{key:"min",value:function(t){var e=f_(this._pairs),r=e.next();if(r.done)return null;for(var n=r.value[1],i=t(r.value[1],r.value[0]);!(r=e.next()).done;){var o=ih(r.value,2),a=o[0],u=o[1],s=t(u,a);s<i&&(i=s,n=u)}return n}},{key:"reduce",value:function(t,e){var r,n=l_(this._pairs);try{for(n.s();!(r=n.n()).done;){var i=ih(r.value,2),o=i[0];e=t(e,i[1],o)}}catch(t){n.e(t)}finally{n.f()}return e}},{key:"sort",value:function(t){var r=this;return new e(jr({},Xb,(function(){var e;return f_(Cb(e=sh(r._pairs)).call(e,(function(e,r){var n=ih(e,2),i=n[0],o=n[1],a=ih(r,2),u=a[0],s=a[1];return t(o,s,i,u)})))})))}}]),e}();function v_(t,e){var r=_h(t);if(Ff){var n=Ff(t);e&&(n=xi(n).call(n,(function(e){return Hf(t,e).enumerable}))),r.push.apply(r,n)}return r}function d_(t){for(var e=1;e<arguments.length;e++){var r,n,i=null!=arguments[e]?arguments[e]:{};e%2?Ch(r=v_(Object(i),!0)).call(r,(function(e){jr(t,e,i[e])})):il?ll(t,il(i)):Ch(n=v_(Object(i))).call(n,(function(e){hl(t,e,Hf(i,e))}))}return t}function y_(t,e){var r=void 0!==ch&&$s(t)||t["@@iterator"];if(!r){if(gh(t)||(r=function(t,e){var r;if(!t)return;if("string"==typeof t)return g_(t,e);var n=dh(r=Object.prototype.toString.call(t)).call(r,8,-1);"Object"===n&&t.constructor&&(n=t.constructor.name);if("Map"===n||"Set"===n)return Is(t);if("Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return g_(t,e)}(t))||e&&t&&"number"==typeof t.length){r&&(t=r);var n=0,i=function(){};return{s:i,n:function(){return n>=t.length?{done:!0}:{done:!1,value:t[n++]}},e:function(t){throw t},f:i}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,a=!0,u=!1;return{s:function(){r=r.call(t)},n:function(){var t=r.next();return a=t.done,t},e:function(t){u=!0,o=t},f:function(){try{a||null==r.return||r.return()}finally{if(u)throw o}}}}function g_(t,e){(null==e||e>t.length)&&(e=t.length);for(var r=0,n=new Array(e);r<e;r++)n[r]=t[r];return n}function m_(t){var e=function(){if("undefined"==typeof Reflect||!og)return!1;if(og.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(og(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var r,n=pg(t);if(e){var i=pg(this).constructor;r=og(n,arguments,i)}else r=n.apply(this,arguments);return lg(this,r)}}var b_=function(e){fg(n,u_);var r=m_(n);function n(e,i){var o;return t(this,n),jr(ag(o=r.call(this)),"flush",void 0),jr(ag(o),"length",void 0),jr(ag(o),"_options",void 0),jr(ag(o),"_data",void 0),jr(ag(o),"_idProp",void 0),jr(ag(o),"_queue",null),e&&!gh(e)&&(i=e,e=[]),o._options=i||{},o._data=new Fm,o.length=0,o._idProp=o._options.fieldId||"id",e&&e.length&&o.add(e),o.setOptions(i),o}return Ar(n,[{key:"idProp",get:function(){return this._idProp}},{key:"setOptions",value:function(t){t&&void 0!==t.queue&&(!1===t.queue?this._queue&&(this._queue.destroy(),this._queue=null):(this._queue||(this._queue=a_.extend(this,{replace:["add","update","remove"]})),t.queue&&"object"===uh(t.queue)&&this._queue.setOptions(t.queue)))}},{key:"add",value:function(t,e){var r,n=this,i=[];if(gh(t)){var o=Pi(t).call(t,(function(t){return t[n._idProp]}));if(Xm(o).call(o,(function(t){return n._data.has(t)})))throw new Error("A duplicate id was found in the parameter array.");for(var a=0,u=t.length;a<u;a++)r=this._addItem(t[a]),i.push(r)}else{if(!t||"object"!==uh(t))throw new Error("Unknown dataType");r=this._addItem(t),i.push(r)}return i.length&&this._trigger("add",{items:i},e),i}},{key:"update",value:function(t,e){var r=this,n=[],i=[],o=[],a=[],u=this._idProp,s=function(t){var e=t[u];if(null!=e&&r._data.has(e)){var s=t,c=wp({},r._data.get(e)),f=r._updateItem(s);i.push(f),a.push(s),o.push(c)}else{var l=r._addItem(t);n.push(l)}};if(gh(t))for(var c=0,f=t.length;c<f;c++)t[c]&&"object"===uh(t[c])?s(t[c]):console.warn("Ignoring input item, which is not an object at index "+c);else{if(!t||"object"!==uh(t))throw new Error("Unknown dataType");s(t)}if(n.length&&this._trigger("add",{items:n},e),i.length){var l={items:i,oldData:o,data:a};this._trigger("update",l,e)}return vh(n).call(n,i)}},{key:"updateOnly",value:function(t,e){var r,n=this;gh(t)||(t=[t]);var i=Pi(r=Pi(t).call(t,(function(t){var e=n._data.get(t[n._idProp]);if(null==e)throw new Error("Updating non-existent items is not allowed.");return{oldData:e,update:t}}))).call(r,(function(t){var e=t.oldData,r=t.update,i=e[n._idProp],o=function(t){for(var e,r=arguments.length,n=new Array(r>1?r-1:0),i=1;i<r;i++)n[i-1]=arguments[i];return My.apply(void 0,vh(e=[{},t]).call(e,n))}(e,r);return n._data.set(i,o),{id:i,oldData:e,updatedData:o}}));if(i.length){var o={items:Pi(i).call(i,(function(t){return t.id})),oldData:Pi(i).call(i,(function(t){return t.oldData})),data:Pi(i).call(i,(function(t){return t.updatedData}))};return this._trigger("update",o,e),o.items}return[]}},{key:"get",value:function(t,e){var r=void 0,n=void 0,i=void 0;o_(t)?(r=t,i=e):gh(t)?(n=t,i=e):i=t;var o,a=i&&"Object"===i.returnType?"Object":"Array",u=i&&xi(i),s=[],c=void 0,f=void 0,l=void 0;if(null!=r)(c=this._data.get(r))&&u&&!u(c)&&(c=void 0);else if(null!=n)for(var h=0,p=n.length;h<p;h++)null==(c=this._data.get(n[h]))||u&&!u(c)||s.push(c);else for(var v,d=0,y=(f=sh(Km(v=this._data).call(v))).length;d<y;d++)l=f[d],null==(c=this._data.get(l))||u&&!u(c)||s.push(c);if(i&&i.order&&null==r&&this._sort(s,i.order),i&&i.fields){var g=i.fields;if(null!=r&&null!=c)c=this._filterFields(c,g);else for(var m=0,b=s.length;m<b;m++)s[m]=this._filterFields(s[m],g)}if("Object"==a){for(var _={},w=0,O=s.length;w<O;w++){var E=s[w];_[E[this._idProp]]=E}return _}return null!=r?null!==(o=c)&&void 0!==o?o:null:s}},{key:"getIds",value:function(t){var e=this._data,r=t&&xi(t),n=t&&t.order,i=sh(Km(e).call(e)),o=[];if(r)if(n){for(var a=[],u=0,s=i.length;u<s;u++){var c=i[u],f=this._data.get(c);null!=f&&r(f)&&a.push(f)}this._sort(a,n);for(var l=0,h=a.length;l<h;l++)o.push(a[l][this._idProp])}else for(var p=0,v=i.length;p<v;p++){var d=i[p],y=this._data.get(d);null!=y&&r(y)&&o.push(y[this._idProp])}else if(n){for(var g=[],m=0,b=i.length;m<b;m++){var _=i[m];g.push(e.get(_))}this._sort(g,n);for(var w=0,O=g.length;w<O;w++)o.push(g[w][this._idProp])}else for(var E=0,x=i.length;E<x;E++){var T=i[E],k=e.get(T);null!=k&&o.push(k[this._idProp])}return o}},{key:"getDataSet",value:function(){return this}},{key:"forEach",value:function(t,e){var r=e&&xi(e),n=this._data,i=sh(Km(n).call(n));if(e&&e.order)for(var o=this.get(e),a=0,u=o.length;a<u;a++){var s=o[a];t(s,s[this._idProp])}else for(var c=0,f=i.length;c<f;c++){var l=i[c],h=this._data.get(l);null==h||r&&!r(h)||t(h,l)}}},{key:"map",value:function(t,e){for(var r=e&&xi(e),n=[],i=this._data,o=sh(Km(i).call(i)),a=0,u=o.length;a<u;a++){var s=o[a],c=this._data.get(s);null==c||r&&!r(c)||n.push(t(c,s))}return e&&e.order&&this._sort(n,e.order),n}},{key:"_filterFields",value:function(t,e){var r;return t?On(r=gh(e)?e:_h(e)).call(r,(function(e,r){return e[r]=t[r],e}),{}):t}},{key:"_sort",value:function(t,e){if("string"==typeof e){var r=e;Cb(t).call(t,(function(t,e){var n=t[r],i=e[r];return n>i?1:n<i?-1:0}))}else{if("function"!=typeof e)throw new TypeError("Order must be a function or a string");Cb(t).call(t,e)}}},{key:"remove",value:function(t,e){for(var r=[],n=[],i=gh(t)?t:[t],o=0,a=i.length;o<a;o++){var u=this._remove(i[o]);if(u){var s=u[this._idProp];null!=s&&(r.push(s),n.push(u))}}return r.length&&this._trigger("remove",{items:r,oldData:n},e),r}},{key:"_remove",value:function(t){var e;if(o_(t)?e=t:t&&"object"===uh(t)&&(e=t[this._idProp]),null!=e&&this._data.has(e)){var r=this._data.get(e)||null;return this._data.delete(e),--this.length,r}return null}},{key:"clear",value:function(t){for(var e,r=sh(Km(e=this._data).call(e)),n=[],i=0,o=r.length;i<o;i++)n.push(this._data.get(r[i]));return this._data.clear(),this.length=0,this._trigger("remove",{items:r,oldData:n},t),r}},{key:"max",value:function(t){var e,r,n=null,i=null,o=y_(Gb(e=this._data).call(e));try{for(o.s();!(r=o.n()).done;){var a=r.value,u=a[t];"number"==typeof u&&(null==i||u>i)&&(n=a,i=u)}}catch(t){o.e(t)}finally{o.f()}return n||null}},{key:"min",value:function(t){var e,r,n=null,i=null,o=y_(Gb(e=this._data).call(e));try{for(o.s();!(r=o.n()).done;){var a=r.value,u=a[t];"number"==typeof u&&(null==i||u<i)&&(n=a,i=u)}}catch(t){o.e(t)}finally{o.f()}return n||null}},{key:"distinct",value:function(t){for(var e=this._data,r=sh(Km(e).call(e)),n=[],i=0,o=0,a=r.length;o<a;o++){for(var u=r[o],s=e.get(u)[t],c=!1,f=0;f<i;f++)if(n[f]==s){c=!0;break}c||void 0===s||(n[i]=s,i++)}return n}},{key:"_addItem",value:function(t){var e=function(t,e){return null==t[e]&&(t[e]=i_()),t}(t,this._idProp),r=e[this._idProp];if(this._data.has(r))throw new Error("Cannot add item: item with id "+r+" already exists");return this._data.set(r,e),++this.length,r}},{key:"_updateItem",value:function(t){var e=t[this._idProp];if(null==e)throw new Error("Cannot update item: item has no id (item: "+Uv(t)+")");var r=this._data.get(e);if(!r)throw new Error("Cannot update item: no item with id "+e+" found");return this._data.set(e,d_(d_({},r),t)),e}},{key:"stream",value:function(t){if(t){var e=this._data;return new p_(jr({},Xb,dg.mark((function r(){var n,i,o,a;return dg.wrap((function(r){for(;;)switch(r.prev=r.next){case 0:n=y_(t),r.prev=1,n.s();case 3:if((i=n.n()).done){r.next=11;break}if(o=i.value,null==(a=e.get(o))){r.next=9;break}return r.next=9,[o,a];case 9:r.next=3;break;case 11:r.next=16;break;case 13:r.prev=13,r.t0=r.catch(1),n.e(r.t0);case 16:return r.prev=16,n.f(),r.finish(16);case 19:case"end":return r.stop()}}),r,null,[[1,13,16,19]])}))))}var r;return new p_(jr({},Xb,Jr(r=Kb(this._data)).call(r,this._data)))}}]),n}();function __(t,e){var r=void 0!==ch&&$s(t)||t["@@iterator"];if(!r){if(gh(t)||(r=function(t,e){var r;if(!t)return;if("string"==typeof t)return w_(t,e);var n=dh(r=Object.prototype.toString.call(t)).call(r,8,-1);"Object"===n&&t.constructor&&(n=t.constructor.name);if("Map"===n||"Set"===n)return Is(t);if("Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return w_(t,e)}(t))||e&&t&&"number"==typeof t.length){r&&(t=r);var n=0,i=function(){};return{s:i,n:function(){return n>=t.length?{done:!0}:{done:!1,value:t[n++]}},e:function(t){throw t},f:i}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,a=!0,u=!1;return{s:function(){r=r.call(t)},n:function(){var t=r.next();return a=t.done,t},e:function(t){u=!0,o=t},f:function(){try{a||null==r.return||r.return()}finally{if(u)throw o}}}}function w_(t,e){(null==e||e>t.length)&&(e=t.length);for(var r=0,n=new Array(e);r<e;r++)n[r]=t[r];return n}function O_(t){var e=function(){if("undefined"==typeof Reflect||!og)return!1;if(og.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(og(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var r,n=pg(t);if(e){var i=pg(this).constructor;r=og(n,arguments,i)}else r=n.apply(this,arguments);return lg(this,r)}}var E_=function(e){fg(n,u_);var r=O_(n);function n(e,i){var o,a;return t(this,n),jr(ag(a=r.call(this)),"length",0),jr(ag(a),"_listener",void 0),jr(ag(a),"_data",void 0),jr(ag(a),"_ids",new c_),jr(ag(a),"_options",void 0),a._options=i||{},a._listener=Jr(o=a._onEvent).call(o,ag(a)),a.setData(e),a}return Ar(n,[{key:"idProp",get:function(){return this.getDataSet().idProp}},{key:"setData",value:function(t){if(this._data){this._data.off&&this._data.off("*",this._listener);var e=this._data.getIds({filter:xi(this._options)}),r=this._data.get(e);this._ids.clear(),this.length=0,this._trigger("remove",{items:e,oldData:r})}if(null!=t){this._data=t;for(var n=this._data.getIds({filter:xi(this._options)}),i=0,o=n.length;i<o;i++){var a=n[i];this._ids.add(a)}this.length=n.length,this._trigger("add",{items:n})}else this._data=new b_;this._data.on&&this._data.on("*",this._listener)}},{key:"refresh",value:function(){for(var t=this._data.getIds({filter:xi(this._options)}),e=sh(this._ids),r={},n=[],i=[],o=[],a=0,u=t.length;a<u;a++){var s=t[a];r[s]=!0,this._ids.has(s)||(n.push(s),this._ids.add(s))}for(var c=0,f=e.length;c<f;c++){var l=e[c],h=this._data.get(l);null==h?console.error("If you see this, report it please."):r[l]||(i.push(l),o.push(h),this._ids.delete(l))}this.length+=n.length-i.length,n.length&&this._trigger("add",{items:n}),i.length&&this._trigger("remove",{items:i,oldData:o})}},{key:"get",value:function(t,e){if(null==this._data)return null;var r,n=null;o_(t)||gh(t)?(n=t,r=e):r=t;var i=wp({},this._options,r),o=xi(this._options),a=r&&xi(r);return o&&a&&(i.filter=function(t){return o(t)&&a(t)}),null==n?this._data.get(i):this._data.get(n,i)}},{key:"getIds",value:function(t){if(this._data.length){var e,r=xi(this._options),n=null!=t?xi(t):null;return e=n?r?function(t){return r(t)&&n(t)}:n:r,this._data.getIds({filter:e,order:t&&t.order})}return[]}},{key:"forEach",value:function(t,e){if(this._data){var r,n,i=xi(this._options),o=e&&xi(e);n=o?i?function(t){return i(t)&&o(t)}:o:i,Ch(r=this._data).call(r,t,{filter:n,order:e&&e.order})}}},{key:"map",value:function(t,e){if(this._data){var r,n,i=xi(this._options),o=e&&xi(e);return n=o?i?function(t){return i(t)&&o(t)}:o:i,Pi(r=this._data).call(r,t,{filter:n,order:e&&e.order})}return[]}},{key:"getDataSet",value:function(){return this._data.getDataSet()}},{key:"stream",value:function(t){var e;return this._data.stream(t||jr({},Xb,Jr(e=Km(this._ids)).call(e,this._ids)))}},{key:"dispose",value:function(){var t;null!==(t=this._data)&&void 0!==t&&t.off&&this._data.off("*",this._listener);var e,r="This data view has already been disposed of.",i={get:function(){throw new Error(r)},set:function(){throw new Error(r)},configurable:!1},o=__(yh(n.prototype));try{for(o.s();!(e=o.n()).done;){var a=e.value;hl(this,a,i)}}catch(t){o.e(t)}finally{o.f()}}},{key:"_onEvent",value:function(t,e,r){if(e&&e.items&&this._data){var n=e.items,i=[],o=[],a=[],u=[],s=[],c=[];switch(t){case"add":for(var f=0,l=n.length;f<l;f++){var h=n[f];this.get(h)&&(this._ids.add(h),i.push(h))}break;case"update":for(var p=0,v=n.length;p<v;p++){var d=n[p];this.get(d)?this._ids.has(d)?(o.push(d),s.push(e.data[p]),u.push(e.oldData[p])):(this._ids.add(d),i.push(d)):this._ids.has(d)&&(this._ids.delete(d),a.push(d),c.push(e.oldData[p]))}break;case"remove":for(var y=0,g=n.length;y<g;y++){var m=n[y];this._ids.has(m)&&(this._ids.delete(m),a.push(m),c.push(e.oldData[y]))}}this.length+=i.length-a.length,i.length&&this._trigger("add",{items:i},r),o.length&&this._trigger("update",{items:o,oldData:u,data:s},r),a.length&&this._trigger("remove",{items:a,oldData:c},r)}}}]),n}();function x_(t,e){return"object"===uh(e)&&null!==e&&t===e.idProp&&"function"==typeof e.add&&"function"==typeof e.clear&&"function"==typeof e.distinct&&"function"==typeof Ch(e)&&"function"==typeof e.get&&"function"==typeof e.getDataSet&&"function"==typeof e.getIds&&"number"==typeof e.length&&"function"==typeof Pi(e)&&"function"==typeof e.max&&"function"==typeof e.min&&"function"==typeof e.off&&"function"==typeof e.on&&"function"==typeof e.remove&&"function"==typeof e.setOptions&&"function"==typeof e.stream&&"function"==typeof e.update&&"function"==typeof e.updateOnly}function T_(t,e){return"object"===uh(e)&&null!==e&&t===e.idProp&&"function"==typeof Ch(e)&&"function"==typeof e.get&&"function"==typeof e.getDataSet&&"function"==typeof e.getIds&&"number"==typeof e.length&&"function"==typeof Pi(e)&&"function"==typeof e.off&&"function"==typeof e.on&&"function"==typeof e.stream&&x_(t,e.getDataSet())}export{Ry as DELETE,b_ as DataSet,p_ as DataStream,E_ as DataView,a_ as Queue,Vi as createNewDataPipeFrom,x_ as isDataSetLike,T_ as isDataViewLike};
//# sourceMappingURL=vis-data.min.js.map
